---
title: Figlet
layout: 2017/sheet
updated: 2017-10-08
introduction: |
  [Figlet] renders text as ASCII art. Here's a list of Figlet fonts for Figlet 2.2.5.
  [Figlet]: http://www.figlet.org/

# Generated using this script:
#
# #!/usr/bin/env bash
# do_figlet() {
#   name=$1
#   echo "### $name"
#   echo ""
#   echo "\`\`\`"
# 
#   echo Hamburger | figlet -f $name -w 2000
# 
#   echo "\`\`\`"
#   echo "{: .-figlet}"
#   echo ""
# }
# 
# echo "## Figlet fonts"
# echo ""
# 
# for fn in /usr/local/share/figlet/fonts/*.flf; do
#   name=$(basename ${fn%.flf})
#   do_figlet $name
# done
# 
# echo ""
# echo "## Toilet fonts"
# echo ""
# 
# for fn in /usr/local/share/figlet/*.tlf; do
#   name=$(basename ${fn%.tlf})
#   do_figlet $name
# done
---

### Usage

```bash
echo "Hamburger" | figlet -f cybermedium
```

```
_  _ ____ _  _ ___  _  _ ____ ____ ____ ____ 
|__| |__| |\/| |__] |  | |__/ | __ |___ |__/ 
|  | |  | |  | |__] |__| |  \ |__] |___ |  \ 
```
{: .-figlet}

Run `figlet` with `-f <font>` to use a font.

### Toilet fonts

```bash
echo "Hello" | \
  figlet -f smmono12 -d /usr/local/share/figlet
```

Figlet comes with support for Toilet fonts, which are in `{share}/figlet`. This is not the default font dir, so you'll have to use `-d <path>` to access it.

## Rico's favorites

### wideterm

```
Ｈａｍｂｕｒｇｅｒ
```
{: .-figlet}

### stampatello

```
,-_/,.           .                       
' |_|/ ,-. ,-,-. |-. . . ,-. ,-. ,-. ,-. 
 /| |  ,-| | | | | | | | |   | | |-' |   
 `' `' `-^ ' ' ' ^-' `-^ '   `-| `-' '   
                              ,|         
                              `'         
```
{: .-figlet}

### cybermedium

```
_  _ ____ _  _ ___  _  _ ____ ____ ____ ____ 
|__| |__| |\/| |__] |  | |__/ | __ |___ |__/ 
|  | |  | |  | |__] |__| |  \ |__] |___ |  \ 
```
{: .-figlet}

### cyberlarge

```
 _     _ _______ _______ ______  _     _  ______  ______ _______  ______
 |_____| |_____| |  |  | |_____] |     | |_____/ |  ____ |______ |_____/
 |     | |     | |  |  | |_____] |_____| |    \_ |_____| |______ |    \_
```
{: .-figlet}

### thin

```
|   |          |                             
|---|,---.,-.-.|---..   .,---.,---.,---.,---.
|   |,---|| | ||   ||   ||    |   ||---'|    
`   '`---^` ' '`---'`---'`    `---|`---'`    
                              `---'          
```
{: .-figlet}

### smbraille

```
 ⣇⣸ ⢀⣀ ⣀⣀  ⣇⡀ ⡀⢀ ⡀⣀ ⢀⡀ ⢀⡀ ⡀⣀
 ⠇⠸ ⠣⠼ ⠇⠇⠇ ⠧⠜ ⠣⠼ ⠏  ⣑⡺ ⠣⠭ ⠏ 
```
{: .-figlet}

### rectangles

```
 _____           _                       
|  |  |___ _____| |_ _ _ ___ ___ ___ ___ 
|     | .'|     | . | | |  _| . | -_|  _|
|__|__|__,|_|_|_|___|___|_| |_  |___|_|  
                            |___|        
```
{: .-figlet}

### bell

```
 __  __                  _                                     
 |   |    ___  , _ , _   \ ___  ,   . .___    ___.   ___  .___ 
 |___|   /   ` |' `|' `. |/   \ |   | /   \ .'   ` .'   ` /   \
 |   |  |    | |   |   | |    ` |   | |   ' |    | |----' |   '
 /   /  `.__/| /   '   / `___,' `._/| /      `---| `.___, /    
                                             \___/             
```
{: .-figlet}

## Figlet fonts

### 3-d

```
 **      **                       **                                           
/**     /**                      /**                      *****                
/**     /**  ******   ********** /**      **   ** ****** **///**  *****  ******
/********** //////** //**//**//**/****** /**  /**//**//*/**  /** **///**//**//*
/**//////**  *******  /** /** /**/**///**/**  /** /** / //******/******* /** / 
/**     /** **////**  /** /** /**/**  /**/**  /** /**    /////**/**////  /**   
/**     /**//******** *** /** /**/****** //******/***     ***** //******/***   
//      //  //////// ///  //  // /////    ////// ///     /////   ////// ///    
```
{: .-figlet}

### 3x5

```
# #         #                       
# #  ## ### ### # # ### ### ### ### 
### # # ### # # # # #   # # ##  #   
# # ### # # ### ### #    ## ### #   
# #                     ###         
```
{: .-figlet}

### 5lineoblique

```
    //    / /                                                                        
   //___ / /  ___      _   __     / __               __      ___      ___      __    
  / ___   / //   ) ) // ) )  ) ) //   ) ) //   / / //  ) ) //   ) ) //___) ) //  ) ) 
 //    / / //   / / // / /  / / //   / / //   / / //      ((___/ / //       //       
//    / / ((___( ( // / /  / / ((___/ / ((___( ( //        //__   ((____   //        
```
{: .-figlet}

### acrobatic

```
  o         o                                  o                                                                      
 <|>       <|>                                <|>                                                                     
 < >       < >                                / >                                                                     
  |         |      o__ __o/  \o__ __o__ __o   \o__ __o      o       o   \o__ __o     o__ __o/    o__  __o   \o__ __o  
  o__/_ _\__o     /v     |    |     |     |>   |     v\    <|>     <|>   |     |>   /v     |    /v      |>   |     |> 
  |         |    />     / \  / \   / \   / \  / \     <\   < >     < >  / \   < >  />     / \  />      //   / \   < > 
 <o>       <o>   \      \o/  \o/   \o/   \o/  \o/      /    |       |   \o/        \      \o/  \o    o/     \o/       
  |         |     o      |    |     |     |    |      o     o       o    |          o      |    v\  /v __o   |        
 / \       / \    <\__  / \  / \   / \   / \  / \  __/>     <\__ __/>   / \         <\__  < >    <\/> __/>  / \       
                                                                                           |                          
                                                                                   o__     o                          
                                                                                   <\__ __/>                          
```
{: .-figlet}

### alligator

```
      :::    :::    :::      :::   :::  ::::::::: :::    ::::::::::::  :::::::: ::::::::::::::::::: 
     :+:    :+:  :+: :+:   :+:+: :+:+: :+:    :+::+:    :+::+:    :+::+:    :+::+:       :+:    :+: 
    +:+    +:+ +:+   +:+ +:+ +:+:+ +:++:+    +:++:+    +:++:+    +:++:+       +:+       +:+    +:+  
   +#++:++#+++#++:++#++:+#+  +:+  +#++#++:++#+ +#+    +:++#++:++#: :#:       +#++:++#  +#++:++#:    
  +#+    +#++#+     +#++#+       +#++#+    +#++#+    +#++#+    +#++#+   +#+#+#+       +#+    +#+    
 #+#    #+##+#     #+##+#       #+##+#    #+##+#    #+##+#    #+##+#    #+##+#       #+#    #+#     
###    ######     ######       ############  ######## ###    ### ######## #############    ###      
```
{: .-figlet}

### alligator2

```
:::    :::    :::    ::::    :::: ::::::::: :::    ::::::::::::  :::::::: :::::::::::::::::::  
:+:    :+:  :+: :+:  +:+:+: :+:+:+:+:    :+::+:    :+::+:    :+::+:    :+::+:       :+:    :+: 
+:+    +:+ +:+   +:+ +:+ +:+:+ +:++:+    +:++:+    +:++:+    +:++:+       +:+       +:+    +:+ 
+#++:++#+++#++:++#++:+#+  +:+  +#++#++:++#+ +#+    +:++#++:++#: :#:       +#++:++#  +#++:++#:  
+#+    +#++#+     +#++#+       +#++#+    +#++#+    +#++#+    +#++#+   +#+#+#+       +#+    +#+ 
#+#    #+##+#     #+##+#       #+##+#    #+##+#    #+##+#    #+##+#    #+##+#       #+#    #+# 
###    ######     ######       ############  ######## ###    ### ######## #############    ### 
```
{: .-figlet}

### alphabet

```
H  H           b                         
H  H           b                         
HHHH  aa mmmm  bbb  u  u rrr ggg eee rrr 
H  H a a m m m b  b u  u r   g g e e r   
H  H aaa m m m bbb   uuu r   ggg ee  r   
                               g         
                             ggg         
```
{: .-figlet}

### avatar

```
 _     ____  _      ____  _     ____  _____ _____ ____ 
/ \ /|/  _ \/ \__/|/  _ \/ \ /\/  __\/  __//  __//  __\
| |_||| / \|| |\/||| | //| | |||  \/|| |  _|  \  |  \/|
| | ||| |-||| |  ||| |_\\| \_/||    /| |_//|  /_ |    /
\_/ \|\_/ \|\_/  \|\____/\____/\_/\_\\____\\____\\_/\_\
```
{: .-figlet}

### banner

```
#     #                                                         
#     #   ##   #    # #####  #    # #####   ####  ###### #####  
#     #  #  #  ##  ## #    # #    # #    # #    # #      #    # 
####### #    # # ## # #####  #    # #    # #      #####  #    # 
#     # ###### #    # #    # #    # #####  #  ### #      #####  
#     # #    # #    # #    # #    # #   #  #    # #      #   #  
#     # #    # #    # #####   ####  #    #  ####  ###### #    # 
```
{: .-figlet}

### banner3-D

```
'##::::'##::::'###::::'##::::'##:'########::'##::::'##:'########:::'######:::'########:'########::
 ##:::: ##:::'## ##::: ###::'###: ##.... ##: ##:::: ##: ##.... ##:'##... ##:: ##.....:: ##.... ##:
 ##:::: ##::'##:. ##:: ####'####: ##:::: ##: ##:::: ##: ##:::: ##: ##:::..::: ##::::::: ##:::: ##:
 #########:'##:::. ##: ## ### ##: ########:: ##:::: ##: ########:: ##::'####: ######::: ########::
 ##.... ##: #########: ##. #: ##: ##.... ##: ##:::: ##: ##.. ##::: ##::: ##:: ##...:::: ##.. ##:::
 ##:::: ##: ##.... ##: ##:.:: ##: ##:::: ##: ##:::: ##: ##::. ##:: ##::: ##:: ##::::::: ##::. ##::
 ##:::: ##: ##:::: ##: ##:::: ##: ########::. #######:: ##:::. ##:. ######::: ########: ##:::. ##:
..:::::..::..:::::..::..:::::..::........::::.......:::..:::::..:::......::::........::..:::::..::
```
{: .-figlet}

### banner3

```
##     ##    ###    ##     ## ########  ##     ## ########   ######   ######## ########  
##     ##   ## ##   ###   ### ##     ## ##     ## ##     ## ##    ##  ##       ##     ## 
##     ##  ##   ##  #### #### ##     ## ##     ## ##     ## ##        ##       ##     ## 
######### ##     ## ## ### ## ########  ##     ## ########  ##   #### ######   ########  
##     ## ######### ##     ## ##     ## ##     ## ##   ##   ##    ##  ##       ##   ##   
##     ## ##     ## ##     ## ##     ## ##     ## ##    ##  ##    ##  ##       ##    ##  
##     ## ##     ## ##     ## ########   #######  ##     ##  ######   ######## ##     ## 
```
{: .-figlet}

### banner4

```
.##.....##....###....##.....##.########..##.....##.########...######...########.########.
.##.....##...##.##...###...###.##.....##.##.....##.##.....##.##....##..##.......##.....##
.##.....##..##...##..####.####.##.....##.##.....##.##.....##.##........##.......##.....##
.#########.##.....##.##.###.##.########..##.....##.########..##...####.######...########.
.##.....##.#########.##.....##.##.....##.##.....##.##...##...##....##..##.......##...##..
.##.....##.##.....##.##.....##.##.....##.##.....##.##....##..##....##..##.......##....##.
.##.....##.##.....##.##.....##.########...#######..##.....##..######...########.##.....##
```
{: .-figlet}

### barbwire

```
><<     ><<                       ><<                                               
><<     ><<                       ><<                                               
><<     ><<   ><<    ><<< ><< ><< ><<      ><<  ><<>< ><<<   ><<      ><<    >< ><<<
><<<<<< ><< ><<  ><<  ><<  ><  ><<><< ><<  ><<  ><< ><<    ><<  ><< ><   ><<  ><<   
><<     ><<><<   ><<  ><<  ><  ><<><<   ><<><<  ><< ><<   ><<   ><<><<<<< ><< ><<   
><<     ><<><<   ><<  ><<  ><  ><<><<   ><<><<  ><< ><<    ><<  ><<><         ><<   
><<     ><<  ><< ><<<><<<  ><  ><<><< ><<    ><<><<><<<        ><<   ><<<<   ><<<   
                                                            ><<                     
```
{: .-figlet}

### basic

```
db   db  .d8b.  .88b  d88. d8888b. db    db d8888b.  d888b  d88888b d8888b. 
88   88 d8' `8b 88'YbdP`88 88  `8D 88    88 88  `8D 88' Y8b 88'     88  `8D 
88ooo88 88ooo88 88  88  88 88oooY' 88    88 88oobY' 88      88ooooo 88oobY' 
88~~~88 88~~~88 88  88  88 88~~~b. 88    88 88`8b   88  ooo 88~~~~~ 88`8b   
88   88 88   88 88  88  88 88   8D 88b  d88 88 `88. 88. ~8~ 88.     88 `88. 
YP   YP YP   YP YP  YP  YP Y8888P' ~Y8888P' 88   YD  Y888P  Y88888P 88   YD 
```
{: .-figlet}

### bell

```
 __  __                  _                                     
 |   |    ___  , _ , _   \ ___  ,   . .___    ___.   ___  .___ 
 |___|   /   ` |' `|' `. |/   \ |   | /   \ .'   ` .'   ` /   \
 |   |  |    | |   |   | |    ` |   | |   ' |    | |----' |   '
 /   /  `.__/| /   '   / `___,' `._/| /      `---| `.___, /    
                                             \___/             
```
{: .-figlet}

### big

```
 _    _                 _                               
| |  | |               | |                              
| |__| | __ _ _ __ ___ | |__  _   _ _ __ __ _  ___ _ __ 
|  __  |/ _` | '_ ` _ \| '_ \| | | | '__/ _` |/ _ \ '__|
| |  | | (_| | | | | | | |_) | |_| | | | (_| |  __/ |   
|_|  |_|\__,_|_| |_| |_|_.__/ \__,_|_|  \__, |\___|_|   
                                         __/ |          
                                        |___/           
```
{: .-figlet}

### bigchief

```
_____________________________________________________________
    _     _                                                  
    /    /                 /                                 
---/___ /-----__---_--_---/__----------)__----__----__---)__-
  /    /    /   ) / /  ) /   ) /   /  /   ) /   ) /___) /   )
_/____/____(___(_/_/__/_(___/_(___(__/_____(___/_(___ _/_____
                                              /              
                                          (_ /               
```
{: .-figlet}

### binary

```
01001000 01100001 01101101 01100010 01110101 01110010 01100111 01100101 01110010 
```
{: .-figlet}

### block

```
_|    _|                            _|                                                          
_|    _|    _|_|_|  _|_|_|  _|_|    _|_|_|    _|    _|  _|  _|_|    _|_|_|    _|_|    _|  _|_|  
_|_|_|_|  _|    _|  _|    _|    _|  _|    _|  _|    _|  _|_|      _|    _|  _|_|_|_|  _|_|      
_|    _|  _|    _|  _|    _|    _|  _|    _|  _|    _|  _|        _|    _|  _|        _|        
_|    _|    _|_|_|  _|    _|    _|  _|_|_|      _|_|_|  _|          _|_|_|    _|_|_|  _|        
                                                                        _|                      
                                                                    _|_|                        
```
{: .-figlet}

### broadway

```
                                                .         .                                                                                                         
8 8888        8          .8.                   ,8.       ,8.          8 888888888o   8 8888      88 8 888888888o.      ,o888888o.    8 8888888888   8 888888888o.   
8 8888        8         .888.                 ,888.     ,888.         8 8888    `88. 8 8888      88 8 8888    `88.    8888     `88.  8 8888         8 8888    `88.  
8 8888        8        :88888.               .`8888.   .`8888.        8 8888     `88 8 8888      88 8 8888     `88 ,8 8888       `8. 8 8888         8 8888     `88  
8 8888        8       . `88888.             ,8.`8888. ,8.`8888.       8 8888     ,88 8 8888      88 8 8888     ,88 88 8888           8 8888         8 8888     ,88  
8 8888        8      .8. `88888.           ,8'8.`8888,8^8.`8888.      8 8888.   ,88' 8 8888      88 8 8888.   ,88' 88 8888           8 888888888888 8 8888.   ,88'  
8 8888        8     .8`8. `88888.         ,8' `8.`8888' `8.`8888.     8 8888888888   8 8888      88 8 888888888P'  88 8888           8 8888         8 888888888P'   
8 8888888888888    .8' `8. `88888.       ,8'   `8.`88'   `8.`8888.    8 8888    `88. 8 8888      88 8 8888`8b      88 8888   8888888 8 8888         8 8888`8b       
8 8888        8   .8'   `8. `88888.     ,8'     `8.`'     `8.`8888.   8 8888      88 ` 8888     ,8P 8 8888 `8b.    `8 8888       .8' 8 8888         8 8888 `8b.     
8 8888        8  .888888888. `88888.   ,8'       `8        `8.`8888.  8 8888    ,88'   8888   ,d8P  8 8888   `8b.     8888     ,88'  8 8888         8 8888   `8b.   
8 8888        8 .8'       `8. `88888. ,8'         `         `8.`8888. 8 888888888P      `Y88888P'   8 8888     `88.    `8888888P'    8 888888888888 8 8888     `88. 
```
{: .-figlet}

### bubble

```
  _   _   _   _   _   _   _   _   _  
 / \ / \ / \ / \ / \ / \ / \ / \ / \ 
( H | a | m | b | u | r | g | e | r )
 \_/ \_/ \_/ \_/ \_/ \_/ \_/ \_/ \_/ 
```
{: .-figlet}

### bulbhead

```
 _   _    __    __  __  ____  __  __  ____   ___  ____  ____ 
( )_( )  /__\  (  \/  )(  _ \(  )(  )(  _ \ / __)( ___)(  _ \
 ) _ (  /(__)\  )    (  ) _ < )(__)(  )   /( (_-. )__)  )   /
(_) (_)(__)(__)(_/\/\_)(____/(______)(_)\_) \___/(____)(_)\_)
```
{: .-figlet}

### calgphy2

```
     #####    ##                              /                                                              
  ######  /  #### /                         #/                                                               
 /#   /  /   ####/                          ##                                                               
/    /  /    # #                            ##                                                               
    /  /     #                              ##                                                               
   ## ##     #      /###   ### /### /###    ## /###   ##   ####    ###  /###     /###      /##  ###  /###    
   ## ##     #     / ###  / ##/ ###/ /##  / ##/ ###  / ##    ###  / ###/ #### / /  ###  / / ###  ###/ #### / 
   ## ########    /   ###/   ##  ###/ ###/  ##   ###/  ##     ###/   ##   ###/ /    ###/ /   ###  ##   ###/  
   ## ##     #   ##    ##    ##   ##   ##   ##    ##   ##      ##    ##       ##     ## ##    ### ##         
   ## ##     ##  ##    ##    ##   ##   ##   ##    ##   ##      ##    ##       ##     ## ########  ##         
   #  ##     ##  ##    ##    ##   ##   ##   ##    ##   ##      ##    ##       ##     ## #######   ##         
      /       ## ##    ##    ##   ##   ##   ##    ##   ##      ##    ##       ##     ## ##        ##         
  /##/        ## ##    /#    ##   ##   ##   ##    /#   ##      /#    ##       ##     ## ####    / ##         
 /  #####      ## ####/ ##   ###  ###  ###   ####/      ######/ ##   ###       ########  ######/  ###        
/     ##           ###   ##   ###  ###  ###   ###        #####   ##   ###        ### ###  #####    ###       
#                                                                                     ###                    
 ##                                                                             ####   ###                   
                                                                              /######  /#                    
                                                                             /     ###/                      
```
{: .-figlet}

### calligraphy

```
     *****    **                                  *                                                                        
  ******  *  **** *                             **                                                                         
 **   *  *   *****                              **                                                                         
*    *  *    * *                                **                                                                         
    *  *     *                                  **         **   ****     ***  ****                            ***  ****    
   ** **     *         ****    *** **** ****    ** ****     **    ***  *  **** **** *     ****         ***     **** **** * 
   ** **     *        * ***  *  *** **** ***  * *** ***  *  **     ****    **   ****     *  ***  *    * ***     **   ****  
   ** ********       *   ****    **  **** ****  **   ****   **      **     **           *    ****    *   ***    **         
   ** **     *      **    **     **   **   **   **    **    **      **     **          **     **    **    ***   **         
   ** **     **     **    **     **   **   **   **    **    **      **     **          **     **    ********    **         
   *  **     **     **    **     **   **   **   **    **    **      **     **          **     **    *******     **         
      *       **    **    **     **   **   **   **    **    **      **     **          **     **    **          **         
  ****        **    **    **     **   **   **   **    **     ******* **    ***         **     **    ****    *   ***        
 *  *****      **    ***** **    ***  ***  ***   *****        *****   **    ***         ********     *******     ***       
*     **              ***   **    ***  ***  ***   ***                                     *** ***     *****                
*                                                                                              ***                         
 **                                                                                      ****   ***                        
                                                                                       *******  **                         
                                                                                      *     ****                           
```
{: .-figlet}

### catwalk

```
_//     _//                       _//                                               
_//     _//                       _//                                               
_//     _//   _//    _/// _// _// _//      _//  _//_/ _///   _//      _//    _/ _///
_////// _// _//  _//  _//  _/  _//_// _//  _//  _// _//    _//  _// _/   _//  _//   
_//     _//_//   _//  _//  _/  _//_//   _//_//  _// _//   _//   _//_///// _// _//   
_//     _//_//   _//  _//  _/  _//_//   _//_//  _// _//    _//  _//_/         _//   
_//     _//  _// _///_///  _/  _//_// _//    _//_//_///        _//   _////   _///   
                                                            _//                     
```
{: .-figlet}

### chunky

```
 _______                  __                                
|   |   |.---.-.--------.|  |--.--.--.----.-----.-----.----.
|       ||  _  |        ||  _  |  |  |   _|  _  |  -__|   _|
|___|___||___._|__|__|__||_____|_____|__| |___  |_____|__|  
                                          |_____|           
```
{: .-figlet}

### coinstak

```
O))     O))                       O))                                               
O))     O))                       O))                                               
O))     O))   O))    O))) O)) O)) O))      O))  O))O) O)))   O))      O))    O) O)))
O)))))) O)) O))  O))  O))  O)  O))O)) O))  O))  O)) O))    O))  O)) O)   O))  O))   
O))     O))O))   O))  O))  O)  O))O))   O))O))  O)) O))   O))   O))O))))) O)) O))   
O))     O))O))   O))  O))  O)  O))O))   O))O))  O)) O))    O))  O))O)         O))   
O))     O))  O)) O)))O)))  O)  O))O)) O))    O))O))O)))        O))   O))))   O)))   
                                                            O))                     
```
{: .-figlet}

### colossal

```
888    888                     888                                            
888    888                     888                                            
888    888                     888                                            
8888888888 8888b. 88888b.d88b. 88888b. 888  888888d888 .d88b.  .d88b. 888d888 
888    888    "88b888 "888 "88b888 "88b888  888888P"  d88P"88bd8P  Y8b888P"   
888    888.d888888888  888  888888  888888  888888    888  88888888888888     
888    888888  888888  888  888888 d88PY88b 888888    Y88b 888Y8b.    888     
888    888"Y888888888  888  88888888P"  "Y88888888     "Y88888 "Y8888 888     
                                                           888                
                                                      Y8b d88P                
                                                       "Y88P"                 
```
{: .-figlet}

### computer

```
8   8                                                     
8   8 eeeee eeeeeee eeeee  e   e eeeee  eeeee eeee eeeee  
8eee8 8   8 8  8  8 8   8  8   8 8   8  8   8 8    8   8  
88  8 8eee8 8e 8  8 8eee8e 8e  8 8eee8e 8e    8eee 8eee8e 
88  8 88  8 88 8  8 88   8 88  8 88   8 88 "8 88   88   8 
88  8 88  8 88 8  8 88eee8 88ee8 88   8 88ee8 88ee 88   8 
```
{: .-figlet}

### contessa

```
.  .        .                 
|__| _.._ _ |_ . .._. _  _ ._.
|  |(_][ | )[_)(_|[  (_](/,[  
                     ._|      
```
{: .-figlet}

### contrast

```
.%%..%%...%%%%...%%...%%..%%%%%...%%..%%..%%%%%....%%%%...%%%%%%..%%%%%..
.%%..%%..%%..%%..%%%.%%%..%%..%%..%%..%%..%%..%%..%%......%%......%%..%%.
.%%%%%%..%%%%%%..%%.%.%%..%%%%%...%%..%%..%%%%%...%%.%%%..%%%%....%%%%%..
.%%..%%..%%..%%..%%...%%..%%..%%..%%..%%..%%..%%..%%..%%..%%......%%..%%.
.%%..%%..%%..%%..%%...%%..%%%%%....%%%%...%%..%%...%%%%...%%%%%%..%%..%%.
.........................................................................
```
{: .-figlet}

### cosmic

```
  ::   .:   :::.     .        :   :::::::.   ...    ::::::::::..    .,-:::::/ .,:::::: :::::::..   
 ,;;   ;;,  ;;`;;    ;;,.    ;;;   ;;;'';;'  ;;     ;;;;;;;``;;;; ,;;-'````'  ;;;;'''' ;;;;``;;;;  
,[[[,,,[[[ ,[[ '[[,  [[[[, ,[[[[,  [[[__[[\.[['     [[[ [[[,/[[[' [[[   [[[[[[/[[cccc   [[[,/[[['  
"$$$"""$$$c$$$cc$$$c $$$$$$$$"$$$  $$""""Y$$$$      $$$ $$$$$$c   "$$c.    "$$ $$""""   $$$$$$c    
 888   "88o888   888,888 Y88" 888o_88o,,od8P88    .d888 888b "88bo,`Y8bo,,,o88o888oo,__ 888b "88bo,
 MMM    YMMYMM   ""` MMM  M'  "MMM""YUMMMP"  "YmmMMMM"" MMMM   "W"   `'YMUP"YMM""""YUMMMMMMM   "W" 
```
{: .-figlet}

### cosmike

```
  ::   .:   :::.     .        :   :::::::.   ...    ::::::::::..    .,-:::::/ .,:::::: :::::::..   
 ,;;   ;;,  ;;`;;    ;;,.    ;;;   ;;;'';;'  ;;     ;;;;;;;``;;;; ,;;-'````'  ;;;;'''' ;;;;``;;;;  
,[[[,,,[[[ ,[[ '[[,  [[[[, ,[[[[,  [[[__[[\.[['     [[[ [[[,/[[[' [[[   [[[[[[/[[cccc   [[[,/[[['  
"$$$"""$$$c$$$cc$$$c $$$$$$$$"$$$  $$""""Y$$$$      $$$ $$$$$$c   "$$c.    "$$ $$""""   $$$$$$c    
 888   "88o888   888,888 Y88" 888o_88o,,od8P88    .d888 888b "88bo,`Y8bo,,,o88o888oo,__ 888b "88bo,
 MMM    YMMYMM   ""` MMM  M'  "MMM""YUMMMP"  "YmmMMMM"" MMMM   "W"   `'YMUP"YMM""""YUMMMMMMM   "W" 
```
{: .-figlet}

### crawford

```
 __ __   ____  ___ ___  ____   __ __  ____    ____    ___  ____  
|  T  T /    T|   T   T|    \ |  T  T|    \  /    T  /  _]|    \ 
|  l  |Y  o  || _   _ ||  o  )|  |  ||  D  )Y   __j /  [_ |  D  )
|  _  ||     ||  \_/  ||     T|  |  ||    / |  T  |Y    _]|    / 
|  |  ||  _  ||   |   ||  O  ||  :  ||    \ |  l_ ||   [_ |    \ 
|  |  ||  |  ||   |   ||     |l     ||  .  Y|     ||     T|  .  Y
l__j__jl__j__jl___j___jl_____j \__,_jl__j\_jl___,_jl_____jl__j\_j
```
{: .-figlet}

### cricket

```
 ___ ___                __                                
|   Y   .---.-.--------|  |--.--.--.----.-----.-----.----.
|.  1   |  _  |        |  _  |  |  |   _|  _  |  -__|   _|
|.  _   |___._|__|__|__|_____|_____|__| |___  |_____|__|  
|:  |   |                               |_____|           
|::.|:. |                                                 
`--- ---'                                                 
```
{: .-figlet}

### cursive

```
 _    ,                                 
' )  /              /                   
 /--/ __.  ______  /__. . __  _,  _  __ 
/  (_(_/|_/ / / <_/_)(_/_/ (_(_)_</_/ (_
                              /|        
                             |/         
```
{: .-figlet}

### cyberlarge

```
 _     _ _______ _______ ______  _     _  ______  ______ _______  ______
 |_____| |_____| |  |  | |_____] |     | |_____/ |  ____ |______ |_____/
 |     | |     | |  |  | |_____] |_____| |    \_ |_____| |______ |    \_
```
{: .-figlet}

### cybermedium

```
_  _ ____ _  _ ___  _  _ ____ ____ ____ ____ 
|__| |__| |\/| |__] |  | |__/ | __ |___ |__/ 
|  | |  | |  | |__] |__| |  \ |__] |___ |  \ 
```
{: .-figlet}

### cybersmall

```
 _  _ ____ _  _ ___  _  _ ____ ____ ____ ____
 |--| |--| |\/| |==] |__| |--< |__, |=== |--<
```
{: .-figlet}

### decimal

```
72 97 109 98 117 114 103 101 114 
```
{: .-figlet}

### diamond

```
/\\     /\\                       /\\                                               
/\\     /\\                       /\\                                               
/\\     /\\   /\\    /\\\ /\\ /\\ /\\      /\\  /\\/\ /\\\   /\\      /\\    /\ /\\\
/\\\\\\ /\\ /\\  /\\  /\\  /\  /\\/\\ /\\  /\\  /\\ /\\    /\\  /\\ /\   /\\  /\\   
/\\     /\\/\\   /\\  /\\  /\  /\\/\\   /\\/\\  /\\ /\\   /\\   /\\/\\\\\ /\\ /\\   
/\\     /\\/\\   /\\  /\\  /\  /\\/\\   /\\/\\  /\\ /\\    /\\  /\\/\         /\\   
/\\     /\\  /\\ /\\\/\\\  /\  /\\/\\ /\\    /\\/\\/\\\        /\\   /\\\\   /\\\   
                                                            /\\                     
```
{: .-figlet}

### digital

```
+-+-+-+-+-+-+-+-+-+
|H|a|m|b|u|r|g|e|r|
+-+-+-+-+-+-+-+-+-+
```
{: .-figlet}

### doh

```
                                                                bbbbbbbb                                                                                                             
HHHHHHHHH     HHHHHHHHH                                         b::::::b                                                                                                             
H:::::::H     H:::::::H                                         b::::::b                                                                                                             
H:::::::H     H:::::::H                                         b::::::b                                                                                                             
HH::::::H     H::::::HH                                          b:::::b                                                                                                             
  H:::::H     H:::::H    aaaaaaaaaaaaa      mmmmmmm    mmmmmmm   b:::::bbbbbbbbb    uuuuuu    uuuuuu rrrrr   rrrrrrrrr      ggggggggg   ggggg    eeeeeeeeeeee    rrrrr   rrrrrrrrr   
  H:::::H     H:::::H    a::::::::::::a   mm:::::::m  m:::::::mm b::::::::::::::bb  u::::u    u::::u r::::rrr:::::::::r    g:::::::::ggg::::g  ee::::::::::::ee  r::::rrr:::::::::r  
  H::::::HHHHH::::::H    aaaaaaaaa:::::a m::::::::::mm::::::::::mb::::::::::::::::b u::::u    u::::u r:::::::::::::::::r  g:::::::::::::::::g e::::::eeeee:::::eer:::::::::::::::::r 
  H:::::::::::::::::H             a::::a m::::::::::::::::::::::mb:::::bbbbb:::::::bu::::u    u::::u rr::::::rrrrr::::::rg::::::ggggg::::::gge::::::e     e:::::err::::::rrrrr::::::r
  H:::::::::::::::::H      aaaaaaa:::::a m:::::mmm::::::mmm:::::mb:::::b    b::::::bu::::u    u::::u  r:::::r     r:::::rg:::::g     g:::::g e:::::::eeeee::::::e r:::::r     r:::::r
  H::::::HHHHH::::::H    aa::::::::::::a m::::m   m::::m   m::::mb:::::b     b:::::bu::::u    u::::u  r:::::r     rrrrrrrg:::::g     g:::::g e:::::::::::::::::e  r:::::r     rrrrrrr
  H:::::H     H:::::H   a::::aaaa::::::a m::::m   m::::m   m::::mb:::::b     b:::::bu::::u    u::::u  r:::::r            g:::::g     g:::::g e::::::eeeeeeeeeee   r:::::r            
  H:::::H     H:::::H  a::::a    a:::::a m::::m   m::::m   m::::mb:::::b     b:::::bu:::::uuuu:::::u  r:::::r            g::::::g    g:::::g e:::::::e            r:::::r            
HH::::::H     H::::::HHa::::a    a:::::a m::::m   m::::m   m::::mb:::::bbbbbb::::::bu:::::::::::::::uur:::::r            g:::::::ggggg:::::g e::::::::e           r:::::r            
H:::::::H     H:::::::Ha:::::aaaa::::::a m::::m   m::::m   m::::mb::::::::::::::::b  u:::::::::::::::ur:::::r             g::::::::::::::::g  e::::::::eeeeeeee   r:::::r            
H:::::::H     H:::::::H a::::::::::aa:::am::::m   m::::m   m::::mb:::::::::::::::b    uu::::::::uu:::ur:::::r              gg::::::::::::::g   ee:::::::::::::e   r:::::r            
HHHHHHHHH     HHHHHHHHH  aaaaaaaaaa  aaaammmmmm   mmmmmm   mmmmmmbbbbbbbbbbbbbbbb       uuuuuuuu  uuuurrrrrrr                gggggggg::::::g     eeeeeeeeeeeeee   rrrrrrr            
                                                                                                                                     g:::::g                                         
                                                                                                                         gggggg      g:::::g                                         
                                                                                                                         g:::::gg   gg:::::g                                         
                                                                                                                          g::::::ggg:::::::g                                         
                                                                                                                           gg:::::::::::::g                                          
                                                                                                                             ggg::::::ggg                                            
                                                                                                                                gggggg                                               
```
{: .-figlet}

### doom

```
 _   _                 _                               
| | | |               | |                              
| |_| | __ _ _ __ ___ | |__  _   _ _ __ __ _  ___ _ __ 
|  _  |/ _` | '_ ` _ \| '_ \| | | | '__/ _` |/ _ \ '__|
| | | | (_| | | | | | | |_) | |_| | | | (_| |  __/ |   
\_| |_/\__,_|_| |_| |_|_.__/ \__,_|_|  \__, |\___|_|   
                                        __/ |          
                                       |___/           
```
{: .-figlet}

### dotmatrix

```
 _           _                                 _                                                                                    
(_)         (_)                               (_)                                                                                   
(_)         (_)   _  _  _        _  _   _  _  (_) _  _  _    _         _  _       _  _   _  _  _  _   _  _  _  _   _       _  _     
(_) _  _  _ (_)  (_)(_)(_) _    (_)(_)_(_)(_) (_)(_)(_)(_)_ (_)       (_)(_)_  _ (_)(_)_(_)(_)(_)(_) (_)(_)(_)(_)_(_)_  _ (_)(_)    
(_)(_)(_)(_)(_)   _  _  _ (_)  (_)   (_)   (_)(_)        (_)(_)       (_)  (_)(_)     (_)        (_)(_) _  _  _ (_) (_)(_)          
(_)         (_) _(_)(_)(_)(_)  (_)   (_)   (_)(_)        (_)(_)       (_)  (_)        (_)        (_)(_)(_)(_)(_)(_) (_)             
(_)         (_)(_)_  _  _ (_)_ (_)   (_)   (_)(_) _  _  _(_)(_)_  _  _(_)_ (_)        (_)_  _  _ (_)(_)_  _  _  _   (_)             
(_)         (_)  (_)(_)(_)  (_)(_)   (_)   (_)(_)(_)(_)(_)    (_)(_)(_) (_)(_)          (_)(_)(_)(_)  (_)(_)(_)(_)  (_)             
                                                                                         _  _  _ (_)                                
                                                                                        (_)(_)(_)                                   
```
{: .-figlet}

### double

```
__  __ ___ ___  _______ __ ______   ___  ________ 
||  ||// \\||\\//|||| ))|| |||| \\ // \\||   || \\
||==||||=|||| \/ ||||=) || ||||_//(( ___||== ||_//
||  |||| ||||    ||||_))\\_//|| \\ \\_||||___|| \\
```
{: .-figlet}

### drpepper

```
 _ _              _                            
| | | ___ ._ _ _ | |_  _ _  _ _  ___  ___  _ _ 
|   |<_> || ' ' || . \| | || '_>/ . |/ ._>| '_>
|_|_|<___||_|_|_||___/`___||_|  \_. |\___.|_|  
                                <___'          
```
{: .-figlet}

### dwhistled

```
H m ur  r
 X X  XX 
 X .  XX 
 . .  XX 
 . .  .X 
 . .  .X 
 . .  .. 
Hamburger
```
{: .-figlet}

### eftichess

```
         #########         #########         #########         ####################################
  [`'`'] ##\`.'/##  ':v:`  ##/\:/\##  |:+:|  ##':v:`##  \`.'/  ##[`'`']###'\v/`####[`'`']###[`'`']#
   |::|  ##(o:o)##  (o:0)  #/(o:o)\#  (o:o)  ##(o:0)##  (o:o)  ###|::|####(o 0)#####|  |#####|  |##
   |::|  ###\:/:\#   (:)   ###(:)###   (:)   ###(:)###   \:/:\ ###|::|#####(_)######|__|#####|__|##
         ####"####         #########         #########    "    ####################################
```
{: .-figlet}

### eftifont

```
 _ _                         
| U |_    _ _ ||    _  _ _ _ 
|   /o\ |/ \ \|o\U|/_|/oYoY_|
|_n_\_,]L_n_n||_|_/L| \_|(L| 
                       _)    
```
{: .-figlet}

### eftipiti

```
[]-|amburger
```
{: .-figlet}

### eftirobot

```
 _  _               _                         
( )( )             ( )                        
| L| | ___  __  __ | |_  _ _  __  __  ___  __ 
( __ )( o )( _`'_ )( o \( U )( _)/o )( o_)( _)
/_\/_\/_^_\/_\`'/_\/___//___\/_\ \__\ \(  /_\ 
                                  _|/         
```
{: .-figlet}

### eftitalic

```
   _ __                                
  /// / _   _     /7      _   _   __ _ 
 / ` /,'o| / \'\ /o\ /7/7//7,'o|,'o///7
/_n_/ |_,7/_nn_//_,'/__///  |_,'|_(//  
                            _//        
```
{: .-figlet}

### eftiwall

```
                 |                ___         ( ( (           o            !!!                         |"|           !!!      
     ***         |.===.          /_\ `*     '. ___ .'      ` /_\ '      `  _ _  '      __MMM__        _|_|_       `  _ _  '   
    (o o)        {}o o{}        (o o)      '  (> <) '     - (o o) -    -  (OXO)  -      (o o)         (o o)      -  (OXO)  -  
ooO--(_)--Ooo-ooO--(_)--Ooo-ooO--(_)--Ooo-ooO--(_)--Ooo-ooO--(_)--Ooo-ooO--(_)--Ooo-ooO--(_)--Ooo-ooO--(_)--Ooo-ooO--(_)--Ooo-
```
{: .-figlet}

### eftiwater

```
 _ _             _                       
 )L`) ___  _  _  ))  _    __  ___  __ __ 
(( ( ((_( ((`1( ((_)((_( (|  ((_( (('(|  
                               _))       
```
{: .-figlet}

### epic

```
          _______  _______  ______            _______  _______  _______  _______ 
|\     /|(  ___  )(       )(  ___ \ |\     /|(  ____ )(  ____ \(  ____ \(  ____ )
| )   ( || (   ) || () () || (   ) )| )   ( || (    )|| (    \/| (    \/| (    )|
| (___) || (___) || || || || (__/ / | |   | || (____)|| |      | (__    | (____)|
|  ___  ||  ___  || |(_)| ||  __ (  | |   | ||     __)| | ____ |  __)   |     __)
| (   ) || (   ) || |   | || (  \ \ | |   | || (\ (   | | \_  )| (      | (\ (   
| )   ( || )   ( || )   ( || )___) )| (___) || ) \ \__| (___) || (____/\| ) \ \__
|/     \||/     \||/     \||/ \___/ (_______)|/   \__/(_______)(_______/|/   \__/
```
{: .-figlet}

### fender

```
'||  ||`                    '||                                          
 ||  ||                      ||                                          
 ||''||   '''|.  '||),,(|,   ||''|, '||  ||` '||''| .|''|, .|''|, '||''| 
 ||  ||  .|''||   || || ||   ||  ||  ||  ||   ||    ||  || ||..||  ||    
.||  ||. `|..||. .||    ||. .||..|'  `|..'|. .||.   `|..|| `|...  .||.   
                                                        ||               
                                                     `..|'               
```
{: .-figlet}

### fourtops

```
|  |             |                       
|--|/~~||/~\ /~\ |~~\|   ||/~\/~~|/~/|/~\
|  |\__||   |   ||__/ \_/||   \__|\/_|   
                              \__|       
```
{: .-figlet}

### fraktur

```
                                                            ..                                                                    
         .xHL                                         . uW8"                                                                      
      .-`8888hxxx~                   ..    .     :    `t888          x.    .        .u    .                             .u    .   
   .H8X  `%888*"            u      .888: x888  x888.   8888   .    .@88k  z88u    .d88B :@8c       uL          .u     .d88B :@8c  
   888X     ..x..        us888u.  ~`8888~'888X`?888f`  9888.z88N  ~"8888 ^8888   ="8888f8888r  .ue888Nc..   ud8888.  ="8888f8888r 
  '8888k .x8888888x   .@88 "8888"   X888  888X '888>   9888  888E   8888  888R     4888>'88"  d88E`"888E` :888'8888.   4888>'88"  
   ?8888X    "88888X  9888  9888    X888  888X '888>   9888  888E   8888  888R     4888> '    888E  888E  d888 '88%"   4888> '    
    ?8888X    '88888> 9888  9888    X888  888X '888>   9888  888E   8888  888R     4888>      888E  888E  8888.+"      4888>      
 H8H %8888     `8888> 9888  9888    X888  888X '888>   9888  888E   8888 ,888B .  .d888L .+   888E  888E  8888L       .d888L .+   
'888> 888"      8888  9888  9888   "*88%""*88" '888!` .8888  888"  "8888Y 8888"   ^"8888*"    888& .888E  '8888c. .+  ^"8888*"    
 "8` .8" ..     88*   "888*""888"    `~    "    `"`    `%888*%"     `Y"   'YP        "Y"      *888" 888&   "88888%       "Y"      
    `  x8888h. d*"     ^Y"   ^Y'                          "`                                   `"   "888E    "YP'                 
      !""*888%~                                                                               .dWi   `88E                         
      !   `"  .                                                                               4888~  J8%                          
      '-....:~                                                                                 ^"===*"`                           
```
{: .-figlet}

### fuzzy

```
.-..-.                .-.                               
: :; :                : :                               
:    : .--.  ,-.,-.,-.: `-. .-..-..--.  .--.  .--. .--. 
: :: :' .; ; : ,. ,. :' .; :: :; :: ..'' .; :' '_.': ..'
:_;:_;`.__,_;:_;:_;:_;`.__.'`.__.':_;  `._. ;`.__.':_;  
                                        .-. :           
                                        `._.'           
```
{: .-figlet}

### goofy

```
    ___    _____  _____          _      ___    ___    _     _____       ___        __     ___
\  |   |  /    /  \    |        | \     \  |  |   |  | |    \    )  ____)  \    ___) |    \  
 |  \_/  |    /    \   |  |\/|  |  |     ) |  |   |  | |     )  /  /  __    |  (__   |     ) 
 |   _   |   /  ()  \  |  |  |  |  |    <  |  |   |  | |    /  (  (  (  \   |   __)  |    /  
 |  / \  |  |   __   | |  |  |  |  |     ) |   \_/   | | |\ \   \  \__)  )  |  (___  | |\ \  
/  |___|  \_|  (__)  |_|  |__|  |_/     /___\       /__| |_\ \___)      (__/       )_| |_\ \_
```
{: .-figlet}

### gothic

```
_-_-                     ,,                                  
  /,        _            ||                  _               
  || __    < \, \\/\\/\\ ||/|, \\ \\ ,._-_  / \\  _-_  ,._-_ 
 ~||-  -   /-|| || || || || || || ||  ||   || || || \\  ||   
  ||===|| (( || || || || || |' || ||  ||   || || ||/    ||   
 ( \_, |   \/\\ \\ \\ \\ \\/   \\/\\  \\,  \\_-| \\,/   \\,  
       `                                    /  \             
                                           '----`            
```
{: .-figlet}

### graceful

```
 _  _   __   _  _  ____  _  _  ____   ___  ____  ____ 
/ )( \ / _\ ( \/ )(  _ \/ )( \(  _ \ / __)(  __)(  _ \
) __ (/    \/ \/ \ ) _ () \/ ( )   /( (_ \ ) _)  )   /
\_)(_/\_/\_/\_)(_/(____/\____/(__\_) \___/(____)(__\_)
```
{: .-figlet}

### gradient

```
eee..eee..eeeeee..eee......eee.eeeeeee..eee..eee.eeeeeee...eeeeee..eeeeee.eeeeeee..
@@@::@@@:@@@@@@@@:@@@@::::@@@@:@@@@@@@@:@@@::@@@:@@@@@@@@:@@@@@@@@:@@@@@@:@@@@@@@@:
%%%--%%%-%%%--%%%-%%%%%--%%%%%-%%%--%%%-%%%--%%%-%%%--%%%-%%%------%%%----%%%--%%%-
&&&&&&&&+&&&&&&&&+&&&&&&&&&&&&+&&&&&&&++&&&++&&&+&&&&&&&++&&&++++++&&&&&++&&&&&&&++
||||||||*||||||||*|||*||||*|||*||||||||*|||**|||*||||||***|||*||||*|||||**||||||***
!!!==!!!=!!!==!!!=!!!==!!==!!!=!!!==!!!=!!!==!!!=!!!=!!!==!!!==!!!=!!!====!!!=!!!==
:::##:::#:::##:::#:::######:::#::::::::#::::::::#:::##:::#::::::::#::::::#:::##:::#
...@@...@...@@...@...@@@@@@...@.......@@@......@@...@@...@@......@@......@...@@...@
```
{: .-figlet}

### graffiti

```
  ___ ___               ___.                                     
 /   |   \_____    _____\_ |__  __ _________  ____   ___________ 
/    ~    \__  \  /     \| __ \|  |  \_  __ \/ ___\_/ __ \_  __ \
\    Y    // __ \|  Y Y  \ \_\ \  |  /|  | \/ /_/  >  ___/|  | \/
 \___|_  /(____  /__|_|  /___  /____/ |__|  \___  / \___  >__|   
       \/      \/      \/    \/            /_____/      \/       
```
{: .-figlet}

### hex

```
48 61 6D 62 75 72 67 65 72 
```
{: .-figlet}

### hollywood

```
           _                                                                                    
          ' )     )                           /'                                                
          /'    /'                          /'                                                  
       ,/'    /' ____     ,__________     /'__               ____     ____     ____      ____   
      /`---,/' /'    )   /'    )     )  /'    )  /'    /   )'    )--/'    )  /'    )   )'    )--
    /'    /' /'    /'  /'    /'    /' /'    /' /'    /'  /'       /'    /' /(___,/'  /'         
(,/'     (_,(___,/(__/'    /'    /(__(___,/(__(___,/(__/'        (___,/(__(________/'           
                                                                    /'                          
                                                            /     /'                            
                                                           (___,/'                              
```
{: .-figlet}

### invita

```
   ____  ___)                              
  (, /   /           /)                    
    /---/  _  ___   (/_     __  _    _  __ 
 ) /   (__(_(_// (_/_) (_(_/ (_(_/__(/_/ (_
(_/                           .-/          
                             (_/           
```
{: .-figlet}

### isometric1

```
      ___           ___           ___           ___           ___           ___           ___           ___           ___     
     /\__\         /\  \         /\__\         /\  \         /\__\         /\  \         /\  \         /\  \         /\  \    
    /:/  /        /::\  \       /::|  |       /::\  \       /:/  /        /::\  \       /::\  \       /::\  \       /::\  \   
   /:/__/        /:/\:\  \     /:|:|  |      /:/\:\  \     /:/  /        /:/\:\  \     /:/\:\  \     /:/\:\  \     /:/\:\  \  
  /::\  \ ___   /::\~\:\  \   /:/|:|__|__   /::\~\:\__\   /:/  /  ___   /::\~\:\  \   /:/  \:\  \   /::\~\:\  \   /::\~\:\  \ 
 /:/\:\  /\__\ /:/\:\ \:\__\ /:/ |::::\__\ /:/\:\ \:|__| /:/__/  /\__\ /:/\:\ \:\__\ /:/__/_\:\__\ /:/\:\ \:\__\ /:/\:\ \:\__\
 \/__\:\/:/  / \/__\:\/:/  / \/__/~~/:/  / \:\~\:\/:/  / \:\  \ /:/  / \/_|::\/:/  / \:\  /\ \/__/ \:\~\:\ \/__/ \/_|::\/:/  /
      \::/  /       \::/  /        /:/  /   \:\ \::/  /   \:\  /:/  /     |:|::/  /   \:\ \:\__\    \:\ \:\__\      |:|::/  / 
      /:/  /        /:/  /        /:/  /     \:\/:/  /     \:\/:/  /      |:|\/__/     \:\/:/  /     \:\ \/__/      |:|\/__/  
     /:/  /        /:/  /        /:/  /       \::/__/       \::/  /       |:|  |        \::/  /       \:\__\        |:|  |    
     \/__/         \/__/         \/__/         ~~            \/__/         \|__|         \/__/         \/__/         \|__|    
```
{: .-figlet}

### isometric2

```
      ___           ___           ___                         ___           ___           ___           ___           ___     
     /\  \         /\  \         /\  \         _____         /\  \         /\  \         /\__\         /\__\         /\  \    
     \:\  \       /::\  \       |::\  \       /::\  \        \:\  \       /::\  \       /:/ _/_       /:/ _/_       /::\  \   
      \:\  \     /:/\:\  \      |:|:\  \     /:/\:\  \        \:\  \     /:/\:\__\     /:/ /\  \     /:/ /\__\     /:/\:\__\  
  ___ /::\  \   /:/ /::\  \   __|:|\:\  \   /:/ /::\__\   ___  \:\  \   /:/ /:/  /    /:/ /::\  \   /:/ /:/ _/_   /:/ /:/  /  
 /\  /:/\:\__\ /:/_/:/\:\__\ /::::|_\:\__\ /:/_/:/\:|__| /\  \  \:\__\ /:/_/:/__/___ /:/__\/\:\__\ /:/_/:/ /\__\ /:/_/:/__/___
 \:\/:/  \/__/ \:\/:/  \/__/ \:\~~\  \/__/ \:\/:/ /:/  / \:\  \ /:/  / \:\/:::::/  / \:\  \ /:/  / \:\/:/ /:/  / \:\/:::::/  /
  \::/__/       \::/__/       \:\  \        \::/_/:/  /   \:\  /:/  /   \::/~~/~~~~   \:\  /:/  /   \::/_/:/  /   \::/~~/~~~~ 
   \:\  \        \:\  \        \:\  \        \:\/:/  /     \:\/:/  /     \:\~~\        \:\/:/  /     \:\/:/  /     \:\~~\     
    \:\__\        \:\__\        \:\__\        \::/  /       \::/  /       \:\__\        \::/  /       \::/  /       \:\__\    
     \/__/         \/__/         \/__/         \/__/         \/__/         \/__/         \/__/         \/__/         \/__/    
```
{: .-figlet}

### isometric3

```
      ___           ___           ___                         ___           ___           ___           ___           ___     
     /__/\         /  /\         /__/\         _____         /__/\         /  /\         /  /\         /  /\         /  /\    
     \  \:\       /  /::\       |  |::\       /  /::\        \  \:\       /  /::\       /  /:/_       /  /:/_       /  /::\   
      \__\:\     /  /:/\:\      |  |:|:\     /  /:/\:\        \  \:\     /  /:/\:\     /  /:/ /\     /  /:/ /\     /  /:/\:\  
  ___ /  /::\   /  /:/~/::\   __|__|:|\:\   /  /:/~/::\   ___  \  \:\   /  /:/~/:/    /  /:/_/::\   /  /:/ /:/_   /  /:/~/:/  
 /__/\  /:/\:\ /__/:/ /:/\:\ /__/::::| \:\ /__/:/ /:/\:| /__/\  \__\:\ /__/:/ /:/___ /__/:/__\/\:\ /__/:/ /:/ /\ /__/:/ /:/___
 \  \:\/:/__\/ \  \:\/:/__\/ \  \:\~~\__\/ \  \:\/:/~/:/ \  \:\ /  /:/ \  \:\/:::::/ \  \:\ /~~/:/ \  \:\/:/ /:/ \  \:\/:::::/
  \  \::/       \  \::/       \  \:\        \  \::/ /:/   \  \:\  /:/   \  \::/~~~~   \  \:\  /:/   \  \::/ /:/   \  \::/~~~~ 
   \  \:\        \  \:\        \  \:\        \  \:\/:/     \  \:\/:/     \  \:\        \  \:\/:/     \  \:\/:/     \  \:\     
    \  \:\        \  \:\        \  \:\        \  \::/       \  \::/       \  \:\        \  \::/       \  \::/       \  \:\    
     \__\/         \__\/         \__\/         \__\/         \__\/         \__\/         \__\/         \__\/         \__\/    
```
{: .-figlet}

### isometric4

```
      ___           ___           ___           ___           ___           ___           ___           ___           ___     
     /  /\         /  /\         /  /\         /  /\         /  /\         /  /\         /  /\         /  /\         /  /\    
    /  /:/        /  /::\       /  /::|       /  /::\       /  /:/        /  /::\       /  /::\       /  /::\       /  /::\   
   /  /:/        /  /:/\:\     /  /:|:|      /  /:/\:\     /  /:/        /  /:/\:\     /  /:/\:\     /  /:/\:\     /  /:/\:\  
  /  /::\ ___   /  /::\ \:\   /  /:/|:|__   /  /::\ \:\   /  /:/        /  /::\ \:\   /  /:/  \:\   /  /::\ \:\   /  /::\ \:\ 
 /__/:/\:\  /\ /__/:/\:\_\:\ /__/:/_|::::\ /__/:/\:\_\:| /__/:/     /\ /__/:/\:\_\:\ /__/:/_\_ \:\ /__/:/\:\ \:\ /__/:/\:\_\:\
 \__\/  \:\/:/ \__\/  \:\/:/ \__\/  /~~/:/ \  \:\ \:\/:/ \  \:\    /:/ \__\/~|::\/:/ \  \:\__/\_\/ \  \:\ \:\_\/ \__\/~|::\/:/
      \__\::/       \__\::/        /  /:/   \  \:\_\::/   \  \:\  /:/     |  |:|::/   \  \:\ \:\    \  \:\ \:\      |  |:|::/ 
      /  /:/        /  /:/        /  /:/     \  \:\/:/     \  \:\/:/      |  |:|\/     \  \:\/:/     \  \:\_\/      |  |:|\/  
     /__/:/        /__/:/        /__/:/       \__\::/       \  \::/       |__|:|~       \  \::/       \  \:\        |__|:|~   
     \__\/         \__\/         \__\/            ~~         \__\/         \__\|         \__\/         \__\/         \__\|    
```
{: .-figlet}

### italic

```
 )__/_ _  /   _ _ _ _ 
/  /(///)()(// (/(-/  
              _/      
```
{: .-figlet}

### ivrit

```
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   _                     _   _ 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         _ __ ___  __ _ _ __ _   _| |__  _ __ ___   __ _| | | |
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        | '__/ _ \/ _` | '__| | | | '_ \| '_ ` _ \ / _` | |_| |
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        | | |  __/ (_| | |  | |_| | |_) | | | | | | (_| |  _  |
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |_|  \___|\__, |_|   \__,_|_.__/|_| |_| |_|\__,_|_| |_|
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |___/                                        
```
{: .-figlet}

### jazmine

```
 o    o                8                                       
 8    8                8                                       
o8oooo8 .oPYo. ooYoYo. 8oPYo. o    o oPYo. .oPYo. .oPYo. oPYo. 
 8    8 .oooo8 8' 8  8 8    8 8    8 8  `' 8    8 8oooo8 8  `' 
 8    8 8    8 8  8  8 8    8 8    8 8     8    8 8.     8     
 8    8 `YooP8 8  8  8 `YooP' `YooP' 8     `YooP8 `Yooo' 8     
:..:::..:.....:..:..:..:.....::.....:..:::::....8 :.....:..::::
:::::::::::::::::::::::::::::::::::::::::::::ooP'.:::::::::::::
:::::::::::::::::::::::::::::::::::::::::::::...:::::::::::::::
```
{: .-figlet}

### jerusalem

```
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  ______ ________   _ ______ ___  ___  __   __._   _   _ _   _ 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |____  |____  \ \ | |____  |_  ||_  | \ \ / /| | | | | | | | |
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | | _  | |\ \| |    | | | |  | |  \ V / | | | | | | |_| |
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | || | |_|_\ ` |    | | | |__| |___\  \ | |/ /_/ /|  _  |
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |_|| |  |______|    |_| |_|____|______| |_______/ |_| |_|
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |_|                                                   
```
{: .-figlet}

### katakana

```
   #       #        ######### ######## ##########                #                          
  ######## #   ###          #        #          # #########     #      ########## ######### 
 #       # ####             #        #         #  #       #    #               #  #       # 
#      ##  #        ########        #  ########   #       #   #               #   #       # 
     ##    #               #      ##       ##     #       #  #     #       # #    #       # 
   ##      #               #    ##       ##       ######### #########       #     ######### 
 ##         ####### ########  ##       ##                            #       #              
```
{: .-figlet}

### kban

```
'||'  '||'                    '||                                               
 ||    ||   ....   .. .. ..    || ...  ... ...  ... ..    ... .   ....  ... ..  
 ||''''||  '' .||   || || ||   ||'  ||  ||  ||   ||' ''  || ||  .|...||  ||' '' 
 ||    ||  .|' ||   || || ||   ||    |  ||  ||   ||       |''   ||       ||     
.||.  .||. '|..'|' .|| || ||.  '|...'   '|..'|. .||.     '||||.  '|...' .||.    
                                                        .|....'                 
```
{: .-figlet}

### l4me

```
|-|4mbvrg3r
```
{: .-figlet}

### larry3d

```
 __  __                       __                                           
/\ \/\ \                     /\ \                                          
\ \ \_\ \     __      ___ ___\ \ \____  __  __  _ __    __      __   _ __  
 \ \  _  \  /'__`\  /' __` __`\ \ '__`\/\ \/\ \/\`'__\/'_ `\  /'__`\/\`'__\
  \ \ \ \ \/\ \L\.\_/\ \/\ \/\ \ \ \L\ \ \ \_\ \ \ \//\ \L\ \/\  __/\ \ \/ 
   \ \_\ \_\ \__/.\_\ \_\ \_\ \_\ \_,__/\ \____/\ \_\\ \____ \ \____\\ \_\ 
    \/_/\/_/\/__/\/_/\/_/\/_/\/_/\/___/  \/___/  \/_/ \/___L\ \/____/ \/_/ 
                                                        /\____/            
                                                        \_/__/             
```
{: .-figlet}

### lcd

```
                                       _              
|   |             |                   | |             
|-+-|  -    |- -  |-          |-       -|  -    |-    
|   | | |   | | | | |   | |   |         | |/    |     
       --          -     --            -   --         
```
{: .-figlet}

### lean

```
    _/    _/                            _/                                                          
   _/    _/    _/_/_/  _/_/_/  _/_/    _/_/_/    _/    _/  _/  _/_/    _/_/_/    _/_/    _/  _/_/   
  _/_/_/_/  _/    _/  _/    _/    _/  _/    _/  _/    _/  _/_/      _/    _/  _/_/_/_/  _/_/        
 _/    _/  _/    _/  _/    _/    _/  _/    _/  _/    _/  _/        _/    _/  _/        _/           
_/    _/    _/_/_/  _/    _/    _/  _/_/_/      _/_/_/  _/          _/_/_/    _/_/_/  _/            
                                                                       _/                           
                                                                  _/_/                              
```
{: .-figlet}

### letters

```
HH   HH                     bb                                           
HH   HH   aa aa mm mm mmmm  bb      uu   uu rr rr   gggggg   eee  rr rr  
HHHHHHH  aa aaa mmm  mm  mm bbbbbb  uu   uu rrr  r gg   gg ee   e rrr  r 
HH   HH aa  aaa mmm  mm  mm bb   bb uu   uu rr     ggggggg eeeee  rr     
HH   HH  aaa aa mmm  mm  mm bbbbbb   uuuu u rr          gg  eeeee rr     
                                                    ggggg                
```
{: .-figlet}

### linux

```
.-. .-..---..-.-.-..--..-..-..---. .---..---..---. 
| |=| || | || | | ||-< | || || |-< | |'_| |- | |-< 
`-' `-'`-^-'`-'-'-'`--'`----'`-'`-'`-'-/`---'`-'`-'
```
{: .-figlet}

### lockergnome

```
::| ::|          :|                            
::::::|.::\ :\/| ::'| :\:| :::| /::| :~~/ :::| 
::| ::|`::| :::| :::| `::| :|   \::| :::, :|   
                                ,.:/           
```
{: .-figlet}

### madrid

```
/ \           |                     
|=| /=| /=\=\ |=\ | | /= /=| /=\ /= 
\ / \=| | | | |=/ \=/ |  \=| \=  |  
                         \=|        
```
{: .-figlet}

### marquee

```
.::     .::                       .::                                               
.::     .::                       .::                                               
.::     .::   .::    .::: .:: .:: .::      .::  .::.: .:::   .::      .::    .: .:::
.:::::: .:: .::  .::  .::  .:  .::.:: .::  .::  .:: .::    .::  .:: .:   .::  .::   
.::     .::.::   .::  .::  .:  .::.::   .::.::  .:: .::   .::   .::.::::: .:: .::   
.::     .::.::   .::  .::  .:  .::.::   .::.::  .:: .::    .::  .::.:         .::   
.::     .::  .:: .:::.:::  .:  .::.:: .::    .::.::.:::        .::   .::::   .:::   
                                                            .::                     
```
{: .-figlet}

### maxfour

```
|  |             |                       
|--|/~~||/~\ /~\ |~~\|   ||/~\/~~|/~/|/~\
|  |\__||   |   ||__/ \_/||   \__|\/_|   
                              \__|       
```
{: .-figlet}

### mike

```
 |          |       _     _  _
 |\ //| ||\ |/ |/| |  /| |/ | 
                       |      
```
{: .-figlet}

### mini

```
|_| _.._ _ |_    .__  _ ._ 
| |(_|| | ||_)|_||(_|(/_|  
                   _|      
```
{: .-figlet}

### mirror

```
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       _                 _   _ 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         __ _ ___  _ __ __ _ _   _  __| | ___ __ _ _ __ | | | |
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |__` / _ \| '_ \__` | | | |/ _` |/ _ ' _` | '_ \| |_| |
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           | \__  | |_) | | | |_| | (_| | | | | | | |_) |  _  |
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |_|___/| .__/  |_|_.__/ \__,_|_| |_| |_|_.__/|_| |_|
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   \___|                                       
```
{: .-figlet}

### mnemonic

```
Hamburger
```
{: .-figlet}

### morse

```
.... .- -- -... ..- .-. --. . .-. 
```
{: .-figlet}

### moscow

```
#   #   #   #   # ####  #   # ####  ##### ##### ####  
 # #   # #  ## ##  #     # #  #   # #   # #     #   # 
  #   ##### # # #  ####   #   ####  #     ####  ####  
 # #  #   # #   #  #  #  #    #     #     #     #     
#   # #   # #   # ##### #     #     #     ##### #     
```
{: .-figlet}

### mshebrew210

```
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         ""|""|\  |""|| |\/|/ |
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           || ' \/   ||_|_\|_/ 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |  -'              
```
{: .-figlet}

### nancyj-fancy

```
M""MMMMM""MM                     dP                                                    
M  MMMMM  MM                     88                                                    
M         `M .d8888b. 88d8b.d8b. 88d888b. dP    dP 88d888b. .d8888b. .d8888b. 88d888b. 
M  MMMMM  MM 88'  `88 88'`88'`88 88'  `88 88    88 88'  `88 88'  `88 88ooood8 88'  `88 
M  MMMMM  MM 88.  .88 88  88  88 88.  .88 88.  .88 88       88.  .88 88.  ... 88       
M  MMMMM  MM `88888P8 dP  dP  dP 88Y8888' `88888P' dP       `8888P88 `88888P' dP       
MMMMMMMMMMMM                                                     .88                   
                                                             d8888P                    
```
{: .-figlet}

### nancyj-underlined

```
dP     dP                      dP                                                    
88     88                      88                                                    
88aaaaa88a .d8888b. 88d8b.d8b. 88d888b. dP    dP 88d888b. .d8888b. .d8888b. 88d888b. 
88     88  88'  `88 88'`88'`88 88'  `88 88    88 88'  `88 88'  `88 88ooood8 88'  `88 
88     88  88.  .88 88  88  88 88.  .88 88.  .88 88       88.  .88 88.  ... 88       
dP     dP  `88888P8 dP  dP  dP 88Y8888' `88888P' dP       `8888P88 `88888P' dP       
ooooooooooooooooooooooooooooooooooooooooooooooooooooooooooo~~~~.88~oooooooooooooooooo
                                                           d8888P                    
```
{: .-figlet}

### nancyj

```
dP     dP                      dP                                                    
88     88                      88                                                    
88aaaaa88a .d8888b. 88d8b.d8b. 88d888b. dP    dP 88d888b. .d8888b. .d8888b. 88d888b. 
88     88  88'  `88 88'`88'`88 88'  `88 88    88 88'  `88 88'  `88 88ooood8 88'  `88 
88     88  88.  .88 88  88  88 88.  .88 88.  .88 88       88.  .88 88.  ... 88       
dP     dP  `88888P8 dP  dP  dP 88Y8888' `88888P' dP       `8888P88 `88888P' dP       
                                                               .88                   
                                                           d8888P                    
```
{: .-figlet}

### nipples

```
{__     {__                       {__                                               
{__     {__                       {__                                               
{__     {__   {__    {___ {__ {__ {__      {__  {__{_ {___   {__      {__    {_ {___
{______ {__ {__  {__  {__  {_  {__{__ {__  {__  {__ {__    {__  {__ {_   {__  {__   
{__     {__{__   {__  {__  {_  {__{__   {__{__  {__ {__   {__   {__{_____ {__ {__   
{__     {__{__   {__  {__  {_  {__{__   {__{__  {__ {__    {__  {__{_         {__   
{__     {__  {__ {___{___  {_  {__{__ {__    {__{__{___        {__   {____   {___   
                                                            {__                     
```
{: .-figlet}

### ntgreek

```
 _   _               ___                             
| | | |             / _ \                            
| |_| | __  ___   _| |_) )_   _  ___ _   _ ___  ___  
|  _  |/  \/ / | | |  _ <| | | |/ _ ( \ / ) __)/ _ \ 
| | | ( ()  <| |_| | |_) ) |_| | |_) ) v /> _)| |_) )
|_| |_|\__/\_\ ._,_|  __/ \___/|  __/ | | \___)  __/ 
             | |   | |         | |    | |     | |    
             |_|   |_|         |_|    |_|     |_|    
```
{: .-figlet}

### nvscript

```
 ,ggg,        gg                                                                                                  
dP""Y8b       88                                 ,dPYb,                                                           
Yb, `88       88                                 IP'`Yb                                                           
 `"  88       88                                 I8  8I                                                           
     88aaaaaaa88                                 I8  8'                                                           
     88"""""""88    ,gggg,gg   ,ggg,,ggg,,ggg,   I8 dP      gg      gg   ,gggggg,    ,gggg,gg   ,ggg,    ,gggggg, 
     88       88   dP"  "Y8I  ,8" "8P" "8P" "8,  I8dP   88ggI8      8I   dP""""8I   dP"  "Y8I  i8" "8i   dP""""8I 
     88       88  i8'    ,8I  I8   8I   8I   8I  I8P    8I  I8,    ,8I  ,8'    8I  i8'    ,8I  I8, ,8I  ,8'    8I 
     88       Y8,,d8,   ,d8b,,dP   8I   8I   Yb,,d8b,  ,8I ,d8b,  ,d8b,,dP     Y8,,d8,   ,d8I  `YbadP' ,dP     Y8,
     88       `Y8P"Y8888P"`Y88P'   8I   8I   `Y88P'"Y88P"' 8P'"Y88P"`Y88P      `Y8P"Y8888P"888888P"Y8888P      `Y8
                                                                                         ,d8I'                    
                                                                                       ,dP'8I                     
                                                                                      ,8"  8I                     
                                                                                      I8   8I                     
                                                                                      `8, ,8I                     
                                                                                       `Y8P"                      
```
{: .-figlet}

### o8

```
ooooo ooooo                          oooo                                                                  
 888   888   ooooooo   oo ooo oooo    888ooooo  oooo  oooo  oo oooooo     oooooooo8 ooooooooo8 oo oooooo   
 888ooo888   ooooo888   888 888 888   888    888 888   888   888    888 888    88o 888oooooo8   888    888 
 888   888 888    888   888 888 888   888    888 888   888   888         888oo888o 888          888        
o888o o888o 88ooo88 8o o888o888o888o o888ooo88    888o88 8o o888o       888     888  88oooo888 o888o       
                                                                         888ooo888                         
```
{: .-figlet}

### octal

```
110 141 155 142 165 162 147 145 162 
```
{: .-figlet}

### ogre

```
                       _                               
  /\  /\__ _ _ __ ___ | |__  _   _ _ __ __ _  ___ _ __ 
 / /_/ / _` | '_ ` _ \| '_ \| | | | '__/ _` |/ _ \ '__|
/ __  / (_| | | | | | | |_) | |_| | | | (_| |  __/ |   
\/ /_/ \__,_|_| |_| |_|_.__/ \__,_|_|  \__, |\___|_|   
                                       |___/           
```
{: .-figlet}

### os2

```
oo____oo___________________oo______________________________________________
oo____oo__ooooo__oo_oo_oo__oooooo__oo____o_oo_ooo___oooo____ooooo__oo_ooo__
oo____oo_oo___oo_ooo_oo__o_oo___oo_oo____o_ooo___o_oo__oo__oo____o_ooo___o_
oooooooo_oo___oo_oo__oo__o_oo___oo_oo____o_oo______oo___o__ooooooo_oo______
oo____oo_oo___oo_oo__oo__o_oo___oo_ooo___o_oo_______oooooo_oo______oo______
oo____oo__oooo_o_oo______o_oooooo__oo_ooo__oo______o____oo__ooooo__oo______
____________________________________________________ooooo__________________
```
{: .-figlet}

### pawp

```
 _     _                    _                                     
(_)   (_)                  (_)            _            ____  _    
(_)___(_)  ____   __   __  (_)_    _   _ (_)__  ____  (____)(_)__ 
(_______) (____) (__)_(__) (___)_ (_) (_)(____)(____)(_)_(_)(____)
(_)   (_)( )_( )(_) (_) (_)(_)_(_)(_)_(_)(_)  ( )_(_)(__)__ (_)   
(_)   (_) (__)_)(_) (_) (_)(____)  (___) (_)   (____) (____)(_)   
                                              (_)_(_)             
                                               (___)              
```
{: .-figlet}

### peaks

```
/^^     /^^                       /^^                                               
/^^     /^^                       /^^                                               
/^^     /^^   /^^    /^^^ /^^ /^^ /^^      /^^  /^^/^ /^^^   /^^      /^^    /^ /^^^
/^^^^^^ /^^ /^^  /^^  /^^  /^  /^^/^^ /^^  /^^  /^^ /^^    /^^  /^^ /^   /^^  /^^   
/^^     /^^/^^   /^^  /^^  /^  /^^/^^   /^^/^^  /^^ /^^   /^^   /^^/^^^^^ /^^ /^^   
/^^     /^^/^^   /^^  /^^  /^  /^^/^^   /^^/^^  /^^ /^^    /^^  /^^/^         /^^   
/^^     /^^  /^^ /^^^/^^^  /^  /^^/^^ /^^    /^^/^^/^^^        /^^   /^^^^   /^^^   
                                                            /^^                     
```
{: .-figlet}

### pebbles

```
o      O                  o                                     
O      o                 O                                      
o      O                 O                                      
OoOooOOo                 o                                      
o      O .oOoO' `oOOoOO. OoOo. O   o  `OoOo. .oOoO .oOo. `OoOo. 
O      o O   o   O  o  o O   o o   O   o     o   O OooO'  o     
o      o o   O   o  O  O o   O O   o   O     O   o O      O     
o      O `OoO'o  O  o  o `OoO' `OoO'o  o     `OoOo `OoO'  o     
                                                 O              
                                              OoO'              
```
{: .-figlet}

### pepper

```
 /_/_  _ _  /_    __  _  _
/ //_|/ / //_//_///_//_'/ 
                  _/      
```
{: .-figlet}

### poison

```
@@@  @@@   @@@@@@   @@@@@@@@@@   @@@@@@@   @@@  @@@  @@@@@@@    @@@@@@@@  @@@@@@@@  @@@@@@@   
@@@  @@@  @@@@@@@@  @@@@@@@@@@@  @@@@@@@@  @@@  @@@  @@@@@@@@  @@@@@@@@@  @@@@@@@@  @@@@@@@@  
@@!  @@@  @@!  @@@  @@! @@! @@!  @@!  @@@  @@!  @@@  @@!  @@@  !@@        @@!       @@!  @@@  
!@!  @!@  !@!  @!@  !@! !@! !@!  !@   @!@  !@!  @!@  !@!  @!@  !@!        !@!       !@!  @!@  
@!@!@!@!  @!@!@!@!  @!! !!@ @!@  @!@!@!@   @!@  !@!  @!@!!@!   !@! @!@!@  @!!!:!    @!@!!@!   
!!!@!!!!  !!!@!!!!  !@!   ! !@!  !!!@!!!!  !@!  !!!  !!@!@!    !!! !!@!!  !!!!!:    !!@!@!    
!!:  !!!  !!:  !!!  !!:     !!:  !!:  !!!  !!:  !!!  !!: :!!   :!!   !!:  !!:       !!: :!!   
:!:  !:!  :!:  !:!  :!:     :!:  :!:  !:!  :!:  !:!  :!:  !:!  :!:   !::  :!:       :!:  !:!  
::   :::  ::   :::  :::     ::    :: ::::  ::::: ::  ::   :::   ::: ::::   :: ::::  ::   :::  
 :   : :   :   : :   :      :    :: : ::    : :  :    :   : :   :: :: :   : :: ::    :   : :  
```
{: .-figlet}

### puffy

```
 _   _                    _                                     
( ) ( )                  ( )                                    
| |_| |   _ _   ___ ___  | |_    _   _  _ __   __     __   _ __ 
|  _  | /'_` )/' _ ` _ `\| '_`\ ( ) ( )( '__)/'_ `\ /'__`\( '__)
| | | |( (_| || ( ) ( ) || |_) )| (_) || |  ( (_) |(  ___/| |   
(_) (_)`\__,_)(_) (_) (_)(_,__/'`\___/'(_)  `\__  |`\____)(_)   
                                            ( )_) |             
                                             \___/'             
```
{: .-figlet}

### pyramid

```
  ^    ^    ^    ^    ^    ^    ^    ^    ^  
 /H\  /a\  /m\  /b\  /u\  /r\  /g\  /e\  /r\ 
<___><___><___><___><___><___><___><___><___>
```
{: .-figlet}

### rectangles

```
 _____           _                       
|  |  |___ _____| |_ _ _ ___ ___ ___ ___ 
|     | .'|     | . | | |  _| . | -_|  _|
|__|__|__,|_|_|_|___|___|_| |_  |___|_|  
                            |___|        
```
{: .-figlet}

### relief

```
___________________________________________________________________________________________________
/~~\__/~~\__/~~~~~~\__/~~\__/~~\_/~~~~~~~\__/~~\__/~~\_/~~~~~~~\___/~~~~~~\__/~~~~~~~~\_/~~~~~~~\__
/~~\__/~~\_/~~\__/~~\_/~~~\/~~~\_/~~\__/~~\_/~~\__/~~\_/~~\__/~~\_/~~\__/~~\_/~~\_______/~~\__/~~\_
/~~~~~~~~\_/~~~~~~~~\_/~~~~~~~~\_/~~~~~~~\__/~~\__/~~\_/~~~~~~~\__/~~\_______/~~~~~~\___/~~~~~~~\__
/~~\__/~~\_/~~\__/~~\_/~~\__/~~\_/~~\__/~~\_/~~\__/~~\_/~~\__/~~\_/~~\__/~~\_/~~\_______/~~\__/~~\_
/~~\__/~~\_/~~\__/~~\_/~~\__/~~\_/~~~~~~~\___/~~~~~~\__/~~\__/~~\__/~~~~~~~\_/~~~~~~~~\_/~~\__/~~\_
________________________________________________________________________/~~\_______________________
```
{: .-figlet}

### relief2

```
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
/// \\/// \\/////// \\/// \\/// \//////// \\/// \\/// \//////// \\\/////// \\///////// \//////// \\
/// \\/// \/// \\/// \//// //// \/// \\/// \/// \\/// \/// \\/// \/// \\/// \/// \\\\\\\/// \\/// \
///////// \///////// \/// / /// \//////// \\/// \\/// \//////// \\/// \\\\\\\/////// \\\//////// \\
/// \\/// \/// \\/// \/// \\/// \/// \\/// \/// \\/// \/// \\/// \/// \\/// \/// \\\\\\\/// \\/// \
/// \\/// \/// \\/// \/// \\/// \//////// \\\/////// \\/// \\/// \\//////// \///////// \/// \\/// \
\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\/// \\\\\\\\\\\\\\\\\\\\\\\
```
{: .-figlet}

### rev

```
=========================================================================
=  ====  ===================  ===========================================
=  ====  ===================  ===========================================
=  ====  ===================  ===========================================
=  ====  ===   ===  =  = ===  =====  =  ==  =   ====   ====   ===  =   ==
=        ==  =  ==        ==    ===  =  ==    =  ==  =  ==  =  ==    =  =
=  ====  =====  ==  =  =  ==  =  ==  =  ==  ========    ==     ==  ======
=  ====  ===    ==  =  =  ==  =  ==  =  ==  ==========  ==  =====  ======
=  ====  ==  =  ==  =  =  ==  =  ==  =  ==  =======  =  ==  =  ==  ======
=  ====  ===    ==  =  =  ==    ====    ==  ========   ====   ===  ======
=========================================================================
```
{: .-figlet}

### roman

```
ooooo   ooooo                              .o8                                                          
`888'   `888'                             "888                                                          
 888     888   .oooo.   ooo. .oo.  .oo.    888oooo.  oooo  oooo  oooo d8b  .oooooooo  .ooooo.  oooo d8b 
 888ooooo888  `P  )88b  `888P"Y88bP"Y88b   d88' `88b `888  `888  `888""8P 888' `88b  d88' `88b `888""8P 
 888     888   .oP"888   888   888   888   888   888  888   888   888     888   888  888ooo888  888     
 888     888  d8(  888   888   888   888   888   888  888   888   888     `88bod8P'  888    .o  888     
o888o   o888o `Y888""8o o888o o888o o888o  `Y8bod8P'  `V88V"V8P' d888b    `8oooooo.  `Y8bod8P' d888b    
                                                                          d"     YD                     
                                                                          "Y88888P'                     
```
{: .-figlet}

### rot13

```
Unzohetre
```
{: .-figlet}

### rounded

```
 _     _             _                                  
(_)   (_)           | |                                 
 _______ _____ ____ | |__  _   _  ____ ____ _____  ____ 
|  ___  (____ |    \|  _ \| | | |/ ___) _  | ___ |/ ___)
| |   | / ___ | | | | |_) ) |_| | |  ( (_| | ____| |    
|_|   |_\_____|_|_|_|____/|____/|_|   \___ |_____)_|    
                                     (_____|            
```
{: .-figlet}

### rowancap

```
    dMP dMP .aMMMb  dMMMMMMMMb dMMMMb  dMP dMP dMMMMb  .aMMMMP dMMMMMP dMMMMb 
   dMP dMP dMP"dMP dMP"dMP"dMPdMP"dMP dMP dMP dMP.dMP dMP"    dMP     dMP.dMP 
  dMMMMMP dMMMMMP dMP dMP dMPdMMMMK" dMP dMP dMMMMK" dMP MMP"dMMMP   dMMMMK"  
 dMP dMP dMP dMP dMP dMP dMPdMP.aMF dMP.aMP dMP"AMF dMP.dMP dMP     dMP"AMF   
dMP dMP dMP dMP dMP dMP dMPdMMMMP"  VMMMP" dMP dMP  VMMMP" dMMMMMP dMP dMP    
```
{: .-figlet}

### rozzo

```
888 888                     888                                               
888 888  ,"Y88b 888 888 8e  888 88e  8888 8888 888,8,  e88 888  ,e e,  888,8, 
8888888 "8" 888 888 888 88b 888 888b 8888 8888 888 "  d888 888 d88 88b 888 "  
888 888 ,ee 888 888 888 888 888 888P Y888 888P 888    Y888 888 888   , 888    
888 888 "88 888 888 888 888 888 88"   "88 88"  888     "88 888  "YeeP" 888    
                                                        ,  88P                
                                                       "8",P"                 
```
{: .-figlet}

### runic

```
|    | 
|\   | 
| \  | 
|  \ | 
|   \| 
|    | 
```
{: .-figlet}

### runyc

```
|    |                               
|\   |                               
| \  |                               
|  \ | |\ |\/| |\ |\  |\ \ / |\/| |\ 
|   \| |\ |/\| |< | | |/  X  |  | |/ 
|    | |  |  | |/ | | |\ / \ |  | |\ 
```
{: .-figlet}

### sblood

```
 @@@  @@@  @@@@@@  @@@@@@@@@@  @@@@@@@  @@@  @@@ @@@@@@@   @@@@@@@  @@@@@@@@ @@@@@@@ 
 @@!  @@@ @@!  @@@ @@! @@! @@! @@!  @@@ @@!  @@@ @@!  @@@ !@@       @@!      @@!  @@@
 @!@!@!@! @!@!@!@! @!! !!@ @!@ @!@!@!@  @!@  !@! @!@!!@!  !@! @!@!@ @!!!:!   @!@!!@! 
 !!:  !!! !!:  !!! !!:     !!: !!:  !!! !!:  !!! !!: :!!  :!!   !!: !!:      !!: :!! 
  :   : :  :   : :  :      :   :: : ::   :.:: :   :   : :  :: :: :  : :: :::  :   : :
```
{: .-figlet}

### script

```
 ,                      _                               
/|   |                 | |                              
 |___|  __,   _  _  _  | |          ,_    __,  _   ,_   
 |   |\/  |  / |/ |/ | |/ \_|   |  /  |  /  | |/  /  |  
 |   |/\_/|_/  |  |  |_/\_/  \_/|_/   |_/\_/|/|__/   |_/
                                           /|           
                                           \|           
```
{: .-figlet}

### serifcap

```
 _  _   __   __  __  ___  _  _  ___   __  ___  ___  
( )( ) (  ) (  \/  )(  ,)( )( )(  ,) / _)(  _)(  ,) 
 )__(  /__\  )    (  ) ,\ )()(  )  \( (/\ ) _) )  \ 
(_)(_)(_)(_)(_/\/\_)(___/ \__/ (_)\_)\__/(___)(_)\_)
```
{: .-figlet}

### shadow

```
 |   |                 |                               
 |   |  _` | __ `__ \  __ \  |   |  __| _` |  _ \  __| 
 ___ | (   | |   |   | |   | |   | |   (   |  __/ |    
_|  _|\__,_|_|  _|  _|_.__/ \__,_|_|  \__, |\___|_|    
                                      |___/            
```
{: .-figlet}

### short

```
|_|  ,_ |        _   
| |(|||||)L||`(|(/_|`
              _|     
```
{: .-figlet}

### slant

```
    __  __                __                              
   / / / /___ _____ ___  / /_  __  ___________ ____  _____
  / /_/ / __ `/ __ `__ \/ __ \/ / / / ___/ __ `/ _ \/ ___/
 / __  / /_/ / / / / / / /_/ / /_/ / /  / /_/ /  __/ /    
/_/ /_/\__,_/_/ /_/ /_/_.___/\__,_/_/   \__, /\___/_/     
                                       /____/             
```
{: .-figlet}

### slide

```
##  ||            ##                            
##  ||##|  ##H H| ##   ## H|## H|#HH| #H| ## H| 
##HH||  H| ### HH|##H| ## H|##H|## H|##HH|##H|  
##  ||##H| ## H H|## H|## H|##   #HH|##   ##    
##  ||##HH|##   H|##H|  #HH|##     H| #HH|##    
                                ##H|            
```
{: .-figlet}

### slscript

```
 _    ,                                 
' )  /              /                   
 /--/ __.  ______  /__. . __  _,  _  __ 
/  (_(_/|_/ / / <_/_)(_/_/ (_(_)_</_/ (_
                              /|        
                             |/         
```
{: .-figlet}

### small

```
 _  _            _                          
| || |__ _ _ __ | |__ _  _ _ _ __ _ ___ _ _ 
| __ / _` | '  \| '_ \ || | '_/ _` / -_) '_|
|_||_\__,_|_|_|_|_.__/\_,_|_| \__, \___|_|  
                              |___/         
```
{: .-figlet}

### smisome1

```
    ___       ___       ___       ___       ___       ___       ___       ___       ___   
   /\__\     /\  \     /\__\     /\  \     /\__\     /\  \     /\  \     /\  \     /\  \  
  /:/__/_   /::\  \   /::L_L_   /::\  \   /:/ _/_   /::\  \   /::\  \   /::\  \   /::\  \ 
 /::\/\__\ /::\:\__\ /:/L:\__\ /::\:\__\ /:/_/\__\ /::\:\__\ /:/\:\__\ /::\:\__\ /::\:\__\
 \/\::/  / \/\::/  / \/_/:/  / \:\::/  / \:\/:/  / \;:::/  / \:\:\/__/ \:\:\/  / \;:::/  /
   /:/  /    /:/  /    /:/  /   \::/  /   \::/  /   |:\/__/   \::/  /   \:\/  /   |:\/__/ 
   \/__/     \/__/     \/__/     \/__/     \/__/     \|__|     \/__/     \/__/     \|__|  
```
{: .-figlet}

### smkeyboard

```
 ____ ____ ____ ____ ____ ____ ____ ____ ____ 
||H |||a |||m |||b |||u |||r |||g |||e |||r ||
||__|||__|||__|||__|||__|||__|||__|||__|||__||
|/__\|/__\|/__\|/__\|/__\|/__\|/__\|/__\|/__\|
```
{: .-figlet}

### smscript

```
 ,                                           
/|  |  _,         |)         ,_   _,  _  ,_  
 |--| / |  /|/|/| |/\_|  |  /  | / | |/ /  | 
 |  |)\/|_/ | | |_/\/  \/|_/   |/\/|/|_/   |/
                                  (|         
```
{: .-figlet}

### smshadow

```
 |  |             |                          
 __ |  _` |  ` \   _ \ |  |  _|_` |  -_)  _| 
_| _|\__,_|_|_|_|_.__/\_,_|_|\__, |\___|_|   
                             ____/           
```
{: .-figlet}

### smslant

```
   __ __           __                        
  / // /__ ___ _  / /  __ _________ ____ ____
 / _  / _ `/  ' \/ _ \/ // / __/ _ `/ -_) __/
/_//_/\_,_/_/_/_/_.__/\_,_/_/  \_, /\__/_/   
                              /___/          
```
{: .-figlet}

### smtengwar

```
\  .',  _ _   _ _  ?    _____ ,'    
/\  |  |_)_) |_)_) | \/ (_(_|  | \/ 
             |       (,     |    (, 
```
{: .-figlet}

### speed

```
______  __                 ______                                    
___  / / /_____ _______ ______  /_____  _______________ _____________
__  /_/ /_  __ `/_  __ `__ \_  __ \  / / /_  ___/_  __ `/  _ \_  ___/
_  __  / / /_/ /_  / / / / /  /_/ / /_/ /_  /   _  /_/ //  __/  /    
/_/ /_/  \__,_/ /_/ /_/ /_//_.___/\__,_/ /_/    _\__, / \___//_/     
                                                /____/               
```
{: .-figlet}

### stacey

```
__________________________________________________________________
7  7  77  _  77        77  _  77  7  77  _  77     77     77  _  7
|  !  ||  _  ||  _  _  ||   __||  |  ||    _||   __!|  ___!|    _|
|     ||  7  ||  7  7  ||  _  ||  |  ||  _ \ |  !  7|  __|_|  _ \ 
|  7  ||  |  ||  |  |  ||  7  ||  !  ||  7  ||     ||     7|  7  |
!__!__!!__!__!!__!__!__!!_____!!_____!!__!__!!_____!!_____!!__!__!
```
{: .-figlet}

### stampatello

```
,-_/,.           .                       
' |_|/ ,-. ,-,-. |-. . . ,-. ,-. ,-. ,-. 
 /| |  ,-| | | | | | | | |   | | |-' |   
 `' `' `-^ ' ' ' ^-' `-^ '   `-| `-' '   
                              ,|         
                              `'         
```
{: .-figlet}

### standard

```
 _   _                 _                               
| | | | __ _ _ __ ___ | |__  _   _ _ __ __ _  ___ _ __ 
| |_| |/ _` | '_ ` _ \| '_ \| | | | '__/ _` |/ _ \ '__|
|  _  | (_| | | | | | | |_) | |_| | | | (_| |  __/ |   
|_| |_|\__,_|_| |_| |_|_.__/ \__,_|_|  \__, |\___|_|   
                                       |___/           
```
{: .-figlet}

### starwars

```
 __    __       ___      .___  ___. .______    __    __  .______        _______  _______ .______      
|  |  |  |     /   \     |   \/   | |   _  \  |  |  |  | |   _  \      /  _____||   ____||   _  \     
|  |__|  |    /  ^  \    |  \  /  | |  |_)  | |  |  |  | |  |_)  |    |  |  __  |  |__   |  |_)  |    
|   __   |   /  /_\  \   |  |\/|  | |   _  <  |  |  |  | |      /     |  | |_ | |   __|  |      /     
|  |  |  |  /  _____  \  |  |  |  | |  |_)  | |  `--'  | |  |\  \----.|  |__| | |  |____ |  |\  \----.
|__|  |__| /__/     \__\ |__|  |__| |______/   \______/  | _| `._____| \______| |_______|| _| `._____|
```
{: .-figlet}

### stellar

```
`..     `..                       `..                                               
`..     `..                       `..                                               
`..     `..   `..    `... `.. `.. `..      `..  `..`. `...   `..      `..    `. `...
`...... `.. `..  `..  `..  `.  `..`.. `..  `..  `.. `..    `..  `.. `.   `..  `..   
`..     `..`..   `..  `..  `.  `..`..   `..`..  `.. `..   `..   `..`..... `.. `..   
`..     `..`..   `..  `..  `.  `..`..   `..`..  `.. `..    `..  `..`.         `..   
`..     `..  `.. `...`...  `.  `..`.. `..    `..`..`...        `..   `....   `...   
                                                            `..                     
```
{: .-figlet}

### stop

```
 _     _             _                                  
| |   | |           | |                                 
| |__ | | ____ ____ | | _  _   _  ____ ____  ____  ____ 
|  __)| |/ _  |    \| || \| | | |/ ___) _  |/ _  )/ ___)
| |   | ( ( | | | | | |_) ) |_| | |  ( ( | ( (/ /| |    
|_|   |_|\_||_|_|_|_|____/ \____|_|   \_|| |\____)_|    
                                     (_____|            
```
{: .-figlet}

### straight

```
|__| _  _ |_     _ _  _ _ 
|  |(_|||||_)|_|| (_)(-|  
                  _/      
```
{: .-figlet}

### tanja

```
H)    hh                    b)                                              
H)    hh                    b)                                              
H)hhhhhh a)AAAA   m)MM MMM  b)BBBB  u)   UU  r)RRR   g)GGG  e)EEEEE  r)RRR  
H)    hh  a)AAA  m)  MM  MM b)   BB u)   UU r)   RR g)   GG e)EEEE  r)   RR 
H)    hh a)   A  m)  MM  MM b)   BB u)   UU r)      g)   GG e)      r)      
H)    hh  a)AAAA m)      MM b)BBBB   u)UUU  r)       g)GGGG  e)EEEE r)      
                                                         GG                 
                                                    g)GGGG                  
```
{: .-figlet}

### tengwar

```
`Yb.            db                                    dP"Yb.                                .dP'            
  `Yb        db    db                                 `b   'Yb                            dP'               
    Yb                                                                    "Ybaaaaaaaaad8'                   
     Yb        'Yb    `Yb d88b d88b   `Yb d88b d88b      'Yb   `Yb    dP'  .dP'  dP'  88   'Yb   `Yb    dP' 
    dPYb        88     88P   88   8b   88P   8Y   8b      88     Yb  dP    88   88    88    88     Yb  dP   
  ,dP  Yb       88     88    8P   88   88    8P   88      88      YbdP     Y8   Y8   .88    88      YbdP    
.dP'    `Yb.   .8P     88  .dP  .dP    88  .dP' .dP'     .8P      .8P      `Y88P`Y88P'88   .8P      .8P     
                      .888888888888b.  888888888888b.           dP'  b                88          dP'  b    
                                       88                       Y.  ,P                88          Y.  ,P    
                                      .8P                        `""'                 Y8.          `""'     
```
{: .-figlet}

### term

```
Hamburger
```
{: .-figlet}

### thick

```
8   8                8                               
8www8 .d88 8d8b.d8b. 88b. 8   8 8d8b .d88 .d88b 8d8b 
8   8 8  8 8P Y8P Y8 8  8 8b d8 8P   8  8 8.dP' 8P   
8   8 `Y88 8   8   8 88P' `Y8P8 8    `Y88 `Y88P 8    
                                     wwdP            
```
{: .-figlet}

### thin

```
|   |          |                             
|---|,---.,-.-.|---..   .,---.,---.,---.,---.
|   |,---|| | ||   ||   ||    |   ||---'|    
`   '`---^` ' '`---'`---'`    `---|`---'`    
                              `---'          
```
{: .-figlet}

### threepoint

```
|_| _  _ _ |_     _ _  _  _
| |(_|| | ||_)|_|| (_|(/_| 
                    _|     
```
{: .-figlet}

### ticks

```
_/\/\____/\/\______________________________/\/\___________________________________________________________________
_/\/\____/\/\__/\/\/\______/\/\/\__/\/\____/\/\________/\/\__/\/\__/\/\__/\/\____/\/\/\/\____/\/\/\____/\/\__/\/\_
_/\/\/\/\/\/\______/\/\____/\/\/\/\/\/\/\__/\/\/\/\____/\/\__/\/\__/\/\/\/\____/\/\__/\/\__/\/\/\/\/\__/\/\/\/\___
_/\/\____/\/\__/\/\/\/\____/\/\__/\__/\/\__/\/\__/\/\__/\/\__/\/\__/\/\__________/\/\/\/\__/\/\________/\/\_______
_/\/\____/\/\__/\/\/\/\/\__/\/\______/\/\__/\/\/\/\______/\/\/\/\__/\/\______________/\/\____/\/\/\/\__/\/\_______
_______________________________________________________________________________/\/\/\/\___________________________
```
{: .-figlet}

### ticksslant

```
     _/\/\____/\/\______________________________/\/\___________________________________________________________________
    _/\/\____/\/\__/\/\/\______/\/\/\__/\/\____/\/\________/\/\__/\/\__/\/\__/\/\____/\/\/\/\____/\/\/\____/\/\__/\/\_ 
   _/\/\/\/\/\/\______/\/\____/\/\/\/\/\/\/\__/\/\/\/\____/\/\__/\/\__/\/\/\/\____/\/\__/\/\__/\/\/\/\/\__/\/\/\/\___  
  _/\/\____/\/\__/\/\/\/\____/\/\__/\__/\/\__/\/\__/\/\__/\/\__/\/\__/\/\__________/\/\/\/\__/\/\________/\/\_______   
 _/\/\____/\/\__/\/\/\/\/\__/\/\______/\/\__/\/\/\/\______/\/\/\/\__/\/\______________/\/\____/\/\/\/\__/\/\_______    
_______________________________________________________________________________/\/\/\/\___________________________     
```
{: .-figlet}

### tinker-toy

```
o  o           o                          
|  |           |                          
O--O  oo o-O-o O-o  o  o o-o o--o o-o o-o 
|  | | | | | | |  | |  | |   |  | |-' |   
o  o o-o-o o o o-o  o--o o   o--O o-o o   
                                |         
                             o--o         
```
{: .-figlet}

### tombstone

```
 _,_  _, _, _ __, _,_ __,  _, __, __,
 |_| /_\ |\/| |_) | | |_) / _ |_  |_)
 | | | | |  | |_) | | | \ \ / |   | \
 ~ ~ ~ ~ ~  ~ ~   `~' ~ ~  ~  ~~~ ~ ~
```
{: .-figlet}

### trek

```
     dBP dBP dBBBBBb     dBBBBBBb dBBBBb   dBP dBP dBBBBBb    dBBBBb  dBBBP dBBBBBb
                  BB          dBP    dBP               dBP                      dBP
   dBBBBBP    dBP BB   dBPdBPdBP dBBBK'  dBP dBP   dBBBBK   dBBBB   dBBP    dBBBBK 
  dBP dBP    dBP  BB  dBPdBPdBP dB' db  dBP_dBP   dBP  BB  dB' BB  dBP     dBP  BB 
 dBP dBP    dBBBBBBB dBPdBPdBP dBBBBP' dBBBBBP   dBP  dB' dBBBBBB dBBBBP  dBP  dB' 
```
{: .-figlet}

### tsalagi

```
 __      __   -|-       __           __     ___   ___     __   
/  '    |  \   |       `  \  ,  |~, /  '     |_-_  |     /  '  
\_      |   \  |        _  |@|  |  | ,_   `\/\     |_,  | ,_   
/  _    |   /  | _   |  |  | |  /  | ' |   |  |    | '  | ' |  
\__,    |__/    _|    \_|_/   \/    \__/    \/    _|_    \__/  
```
{: .-figlet}

### twopoint

```
|_| _ ._ _ |_    ._(~| _._
| |(_|| | ||_)|_||  _|}_| 
```
{: .-figlet}

### univers

```
88        88                               88                                                                    
88        88                               88                                                                    
88        88                               88                                                                    
88aaaaaaaa88 ,adPPYYba, 88,dPYba,,adPYba,  88,dPPYba,  88       88 8b,dPPYba,  ,adPPYb,d8  ,adPPYba, 8b,dPPYba,  
88""""""""88 ""     `Y8 88P'   "88"    "8a 88P'    "8a 88       88 88P'   "Y8 a8"    `Y88 a8P_____88 88P'   "Y8  
88        88 ,adPPPPP88 88      88      88 88       d8 88       88 88         8b       88 8PP""""""" 88          
88        88 88,    ,88 88      88      88 88b,   ,a8" "8a,   ,a88 88         "8a,   ,d88 "8b,   ,aa 88          
88        88 `"8bbdP"Y8 88      88      88 8Y"Ybbd8"'   `"YbbdP'Y8 88          `"YbbdP"Y8  `"Ybbd8"' 88          
                                                                               aa,    ,88                        
                                                                                "Y8bbdP"                         
```
{: .-figlet}

### usaflag

```
 :::  === :::====  :::=======  :::====  :::  === :::====  :::=====  :::===== :::==== 
 :::  === :::  === ::: === === :::  === :::  === :::  === :::       :::      :::  ===
 ======== ======== === === === =======  ===  === =======  === ===== ======   ======= 
 ===  === ===  === ===     === ===  === ===  === === ===  ===   === ===      === === 
 ===  === ===  === ===     === =======   ======  ===  ===  =======  ======== ===  ===
```
{: .-figlet}

### weird

```
 /  |           /                            
(___| ___  _ _ (___       ___  ___  ___  ___ 
|   )|   )| | )|   )|   )|   )|   )|___)|   )
|  / |__/||  / |__/ |__/ |    |__/ |__  |    
                              __/            
```
{: .-figlet}

### whimsy

```
 d8b                               d8b                                                  
 ?88                               ?88                                                  
  88b                               88b                                                 
  888888b  d888b8b    88bd8b,d88b   888888b ?88   d8P  88bd88b d888b8b   d8888b  88bd88b
  88P `?8bd8P' ?88    88P'`?8P'?8b  88P `?8bd88   88   88P'  `d8P' ?88  d8b_,dP  88P'  `
 d88   88P88b  ,88b  d88  d88  88P d88,  d88?8(  d88  d88     88b  ,88b 88b     d88     
d88'   88b`?88P'`88bd88' d88'  88bd88'`?88P'`?88P'?8bd88'     `?88P'`88b`?888P'd88'     
                                                                     )88                
                                                                    ,88P                
                                                                `?8888P                 
```
{: .-figlet}


## Toilet fonts

### ascii12

```
 mm    mm                      mm                                                         
 ##    ##                      ##                                                         
 ##    ##   m#####m  ####m##m  ##m###m   ##    ##   ##m####   m###m##   m####m    ##m#### 
 ########   " mmm##  ## ## ##  ##"  "##  ##    ##   ##"      ##"  "##  ##mmmm##   ##"     
 ##    ##  m##"""##  ## ## ##  ##    ##  ##    ##   ##       ##    ##  ##""""""   ##      
 ##    ##  ##mmm###  ## ## ##  ###mm##"  ##mmm###   ##       "##mm###  "##mmmm#   ##      
 ""    ""   """" ""  "" "" ""  "" """     """" ""   ""        m""" ##    """""    ""      
                                                              "####""                     
```
{: .-figlet}

### ascii9

```
 m    m               #                                        
 #    #  mmm   mmmmm  #mmm   m   m   m mm   mmmm   mmm    m mm 
 #mmmm# "   #  # # #  #" "#  #   #   #"  " #" "#  #"  #   #"  "
 #    # m"""#  # # #  #   #  #   #   #     #   #  #""""   #    
 #    # "mm"#  # # #  ##m#"  "mm"#   #     "#m"#  "#mm"   #    
                                            m  #               
                                             ""                
```
{: .-figlet}

### bigascii12

```
 ##    ##                      ##                                                         
 ##    ##                      ##                                                         
 ##    ##                      ##                                                         
 ##    ##   :####    ## #:##:  ##.###:   ##    ##   ##.####   :###:##   .####:    ##.#### 
 ##    ##   ######   ########  #######:  ##    ##   #######  .#######  .######:   ####### 
 ########   #:  :##  ##.##.##  ###  ###  ##    ##   ###.     ###  ###  ##:  :##   ###.    
 ########    :#####  ## ## ##  ##.  .##  ##    ##   ##       ##.  .##  ########   ##      
 ##    ##  .#######  ## ## ##  ##    ##  ##    ##   ##       ##    ##  ########   ##      
 ##    ##  ## .  ##  ## ## ##  ##.  .##  ##    ##   ##       ##.  .##  ##         ##      
 ##    ##  ##:  ###  ## ## ##  ###  ###  ##:  ###   ##       ###  ###  ###.  :#   ##      
 ##    ##  ########  ## ## ##  #######:   #######   ##       .#######  .#######   ##      
 ##    ##    ###.##  ## ## ##  ##.###:     ###.##   ##        :###:##   .#####:   ##      
                                                              #.  :##                     
                                                              ######                      
                                                              :####:                      
```
{: .-figlet}

### bigascii9

```
                      #                                        
 #    #               #                                        
 #    #               #                                        
 #    # .###.  ## #   # ##   #   #   #:##:  ## #   ###    #:##:
 #    # #: :#  #:#:#  #   #  #   #   ##  # #   #     :#   ##  #
 ######     #  # # #  #   #  #   #   #     #   #  #   #   #    
 #    # :####  # # #  #   #  #   #   #     #   #  #####   #    
 #    # #:  #  # # #  #   #  #   #   #     #   #  #       #    
 #    # #.  #  # # #  #   #  #:  #   #     #   #      #   #    
 #    # :##:#  # # #  # ##   :##:#   #      ##:#   ###:   #    
                                               #               
                                              :#               
                                            :##.               
```
{: .-figlet}

### bigmono12

```
 ██    ██                      ██                                                         
 ██    ██                      ██                                                         
 ██    ██                      ██                                                         
 ██    ██   ▒████▓   ██▓█▒██▒  ██░███▒   ██    ██   ██░████   ▒███▒██   ░████▒    ██░████ 
 ██    ██   ██████▓  ████████  ███████▒  ██    ██   ███████  ░███████  ░██████▒   ███████ 
 ████████   █▒  ▒██  ██░██░██  ███  ███  ██    ██   ███░     ███  ███  ██▒  ▒██   ███░    
 ████████    ▒█████  ██ ██ ██  ██░  ░██  ██    ██   ██       ██░  ░██  ████████   ██      
 ██    ██  ░███████  ██ ██ ██  ██    ██  ██    ██   ██       ██    ██  ████████   ██      
 ██    ██  ██▓░  ██  ██ ██ ██  ██░  ░██  ██    ██   ██       ██░  ░██  ██         ██      
 ██    ██  ██▒  ███  ██ ██ ██  ███  ███  ██▒  ███   ██       ███  ███  ███░  ▒█   ██      
 ██    ██  ████████  ██ ██ ██  ███████▒  ▓███████   ██       ░███████  ░███████   ██      
 ██    ██   ▓███░██  ██ ██ ██  ██░███▒    ▓███░██   ██        ▒███▒██   ░█████▒   ██      
                                                              █░  ▒██                     
                                                              ██████▓                     
                                                              ▒████▒                      
```
{: .-figlet}

### bigmono9

```
                      █                                        
 █    █               █                                        
 █    █               █                                        
 █    █ ░███░  ██▓█▓  █▓██   █   █   █▒██▒  ██▓█   ███    █▒██▒
 █    █ █▒ ▒█  █▒█▒█  █▓ ▓█  █   █   ██  █ █▓ ▓█  ▓▓ ▒█   ██  █
 ██████     █  █ █ █  █   █  █   █   █     █   █  █   █   █    
 █    █ ▒████  █ █ █  █   █  █   █   █     █   █  █████   █    
 █    █ █▒  █  █ █ █  █   █  █   █   █     █   █  █       █    
 █    █ █░ ▓█  █ █ █  █▓ ▓█  █▒ ▓█   █     █▓ ▓█  ▓▓  █   █    
 █    █ ▒██▒█  █ █ █  █▓██   ▒██▒█   █      ██▒█   ███▒   █    
                                               █               
                                            ▓ ▒█               
                                            ▒██░               
```
{: .-figlet}

### circle

```
Ⓗⓐⓜⓑⓤⓡⓖⓔⓡ
```
{: .-figlet}

### emboss

```
┃ ┃┏━┃┏┏ ┏━ ┃ ┃┏━┃┏━┛┏━┛┏━┃
┏━┃┏━┃┃┃┃┏━┃┃ ┃┏┏┛┃ ┃┏━┛┏┏┛
┛ ┛┛ ┛┛┛┛━━ ━━┛┛ ┛━━┛━━┛┛ ┛
```
{: .-figlet}

### emboss2

```
║ ║╔═║╔╔ ╔═ ║ ║╔═║╔═╝╔═╝╔═║
╔═║╔═║║║║╔═║║ ║╔╔╝║ ║╔═╝╔╔╝
╝ ╝╝ ╝╝╝╝══ ══╝╝ ╝══╝══╝╝ ╝
```
{: .-figlet}

### future

```
╻ ╻┏━┓┏┳┓┏┓ ╻ ╻┏━┓┏━╸┏━╸┏━┓
┣━┫┣━┫┃┃┃┣┻┓┃ ┃┣┳┛┃╺┓┣╸ ┣┳┛
╹ ╹╹ ╹╹ ╹┗━┛┗━┛╹┗╸┗━┛┗━╸╹┗╸
```
{: .-figlet}

### letter

```
H   H   A   M   M BBBB  U   U RRRR   GGG  EEEEE RRRR  
H   H  A A  MM MM B   B U   U R   R G     E     R   R 
HHHHH AAAAA M M M BBBB  U   U RRRR  G GG  EEEE  RRRR  
H   H A   A M   M B   B U   U R  R  G   G E     R  R  
H   H A   A M   M BBBB   UUU  R   R  GGG  EEEEE R   R 
```
{: .-figlet}

### mono12

```
 ▄▄    ▄▄                      ▄▄                                                         
 ██    ██                      ██                                                         
 ██    ██   ▄█████▄  ████▄██▄  ██▄███▄   ██    ██   ██▄████   ▄███▄██   ▄████▄    ██▄████ 
 ████████   ▀ ▄▄▄██  ██ ██ ██  ██▀  ▀██  ██    ██   ██▀      ██▀  ▀██  ██▄▄▄▄██   ██▀     
 ██    ██  ▄██▀▀▀██  ██ ██ ██  ██    ██  ██    ██   ██       ██    ██  ██▀▀▀▀▀▀   ██      
 ██    ██  ██▄▄▄███  ██ ██ ██  ███▄▄██▀  ██▄▄▄███   ██       ▀██▄▄███  ▀██▄▄▄▄█   ██      
 ▀▀    ▀▀   ▀▀▀▀ ▀▀  ▀▀ ▀▀ ▀▀  ▀▀ ▀▀▀     ▀▀▀▀ ▀▀   ▀▀        ▄▀▀▀ ██    ▀▀▀▀▀    ▀▀      
                                                              ▀████▀▀                     
```
{: .-figlet}

### mono9

```
 ▄    ▄               █                                        
 █    █  ▄▄▄   ▄▄▄▄▄  █▄▄▄   ▄   ▄   ▄ ▄▄   ▄▄▄▄   ▄▄▄    ▄ ▄▄ 
 █▄▄▄▄█ ▀   █  █ █ █  █▀ ▀█  █   █   █▀  ▀ █▀ ▀█  █▀  █   █▀  ▀
 █    █ ▄▀▀▀█  █ █ █  █   █  █   █   █     █   █  █▀▀▀▀   █    
 █    █ ▀▄▄▀█  █ █ █  ██▄█▀  ▀▄▄▀█   █     ▀█▄▀█  ▀█▄▄▀   █    
                                            ▄  █               
                                             ▀▀                
```
{: .-figlet}

### pagga

```
░█░█░█▀█░█▄█░█▀▄░█░█░█▀▄░█▀▀░█▀▀░█▀▄
░█▀█░█▀█░█░█░█▀▄░█░█░█▀▄░█░█░█▀▀░█▀▄
░▀░▀░▀░▀░▀░▀░▀▀░░▀▀▀░▀░▀░▀▀▀░▀▀▀░▀░▀
```
{: .-figlet}

### smascii12

```
., .,          .,                            
][ ][          ][                            
][ ][ dWW,]WbW,]bWb ][ ][ WdW[ dWd[ dWb  WdW[
]WWW[ `md[][W][]P T[][ ][ W`  ]P T[]bmd[ W`  
][ ][.W"T[][W][][ ][][ ][ W   ][ ][]P""` W   
][ ][]bmW[][W][]WmW`]bmW[ W   'WmW['Wmm[ W   
'` '` ""'`'`"'`'`"`  ""'` "    /"][ '""  "   
                               TWP`          
```
{: .-figlet}

### smascii9

```
.  ,        ]                       
]  [ m, .mm ]m, . .  ,m  mm  m,  ,m 
]mm[' ] ]]] ]`T ] ]  P `]`T ]`]  P `
]  [."T ]]] ] ] ] ]  [  ] ] ]""  [  
]  ['mT ]]] ]bP 'mT  [  'bT 'b/  [  
                         ,]         
                         '`         
```
{: .-figlet}

### smblock

```
▌ ▌       ▌                 
▙▄▌▝▀▖▛▚▀▖▛▀▖▌ ▌▙▀▖▞▀▌▞▀▖▙▀▖
▌ ▌▞▀▌▌▐ ▌▌ ▌▌ ▌▌  ▚▄▌▛▀ ▌  
▘ ▘▝▀▘▘▝ ▘▀▀ ▝▀▘▘  ▗▄▘▝▀▘▘  
```
{: .-figlet}

### smbraille

```
 ⣇⣸ ⢀⣀ ⣀⣀  ⣇⡀ ⡀⢀ ⡀⣀ ⢀⡀ ⢀⡀ ⡀⣀
 ⠇⠸ ⠣⠼ ⠇⠇⠇ ⠧⠜ ⠣⠼ ⠏  ⣑⡺ ⠣⠭ ⠏ 
```
{: .-figlet}

### smmono12

```
▗▖ ▗▖          ▗▖                            
▐▌ ▐▌          ▐▌                            
▐▌ ▐▌ ▟██▖▐█▙█▖▐▙█▙ ▐▌ ▐▌ █▟█▌ ▟█▟▌ ▟█▙  █▟█▌
▐███▌ ▘▄▟▌▐▌█▐▌▐▛ ▜▌▐▌ ▐▌ █▘  ▐▛ ▜▌▐▙▄▟▌ █▘  
▐▌ ▐▌▗█▀▜▌▐▌█▐▌▐▌ ▐▌▐▌ ▐▌ █   ▐▌ ▐▌▐▛▀▀▘ █   
▐▌ ▐▌▐▙▄█▌▐▌█▐▌▐█▄█▘▐▙▄█▌ █   ▝█▄█▌▝█▄▄▌ █   
▝▘ ▝▘ ▀▀▝▘▝▘▀▝▘▝▘▀▘  ▀▀▝▘ ▀    ▞▀▐▌ ▝▀▀  ▀   
                               ▜█▛▘          
```
{: .-figlet}

### smmono9

```
▗  ▖        ▐                       
▐  ▌ ▄▖ ▗▄▄ ▐▄▖ ▗ ▗  ▖▄  ▄▄  ▄▖  ▖▄ 
▐▄▄▌▝ ▐ ▐▐▐ ▐▘▜ ▐ ▐  ▛ ▘▐▘▜ ▐▘▐  ▛ ▘
▐  ▌▗▀▜ ▐▐▐ ▐ ▐ ▐ ▐  ▌  ▐ ▐ ▐▀▀  ▌  
▐  ▌▝▄▜ ▐▐▐ ▐▙▛ ▝▄▜  ▌  ▝▙▜ ▝▙▞  ▌  
                         ▖▐         
                         ▝▘         
```
{: .-figlet}

### wideterm

```
Ｈａｍｂｕｒｇｅｒ
```
{: .-figlet}

