---
title: Firefox
---

### [Firefox 31](https://www.mozilla.org/en-US/firefox/31.0/releasenotes/) (July 2014)

 * CSS: variables

### [Firefox 30](https://developer.mozilla.org/en-US/Firefox/Releases/30) (June 2014)

 * CSS: Allow `line-height` in `<input type='button'>`
 * JS: `Console.count()`
 * JS: ES6 array and generator comprehensions

### Firefox 29 (April 2014)

 * New UI
 * CSS: Unprefixed `box-shadow`

### Firefox 18 (Jan 2013)

 * Faster JS compiler (IonMonkey)
 * Mac retina support
 * JS: `window.devicePixelRatio`
 * JS: unprefixed `ontouchstart`
 * HTML: `<input type='number'>`
 * HTML: `<input type='color'>`

### Firefox 17 (Nov 2012)

 * No more support for Mac OSX 10.5 and below
 * SVG `FillPaint` and `StrokePaint`
 * HTML `<iframe sandbox=...>` ([docs][iframe-sandbox])
 * Official support for Windows 8 ([link][17reqs])

[iframe-sandbox]: https://developer.mozilla.org/en-US/docs/HTML/Element/iframe#attr-sandbox
[17reqs]: http://www.mozilla.org/en-US/firefox/17.0/system-requirements/

### Firefox 16 (Oct 2012)

 * Web app support ([docs][webapp])
 * Unprefixed CSS animations, transitions, transforms, gradients

[webapp]: https://developer.mozilla.org/en-US/docs/Apps/Getting_Started

### Firefox 15 (Aug 2012)

 * Background updates
 * SPDY v3
 * Opus audio codec
 * HTML `<audio played>` (and `<video>`)
 * HTML `<source media=...>`

### Firefox 14 (Jul 2012)

 * Full screen support for OSX Lion
 * JS pointer lock API ([docs][lock])
 * JS display sleep API ([docs][sleep])

[lock]: https://developer.mozilla.org/en-US/docs/API/Pointer_Lock_API
[sleep]: https://bugzilla.mozilla.org/show_bug.cgi?id=697132

### Firefox 13 (Jun 2012)

 * Smooth scrolling by default
 * SPDY on by default
 * CSS `column-fill` ([docs][cf])
 * ECMA 6 `Map` and `Set`
 * CSS `background-position` extended syntax
 * CSS `:invalid`
 * CSS turn unit (`rotate(0.5turn)`)


[cf]: https://developer.mozilla.org/en/CSS/column-fill

### Firefox 12 (Apr 2012)

 * CSS `text-align-last` ([docs][tal])

[tal]: https://developer.mozilla.org/en/CSS/text-align-last

### Firefox 11 (Mar 2012)

 * `element.outerHTML` ([docs][outer])
 * Dev tools: Style editor, 3D page inspector ([docs][tools])
 * Unprefixed web sockets
 * CSS `text-size-adjust` ([docs][tsa])

[outer]: https://developer.mozilla.org/en-US/docs/DOM/element.outerHTML
[tools]: https://hacks.mozilla.org/2011/12/new-developer-tools-in-firefox-11-aurora/
[tsa]: https://developer.mozilla.org/en-US/docs/CSS/text-size-adjust

### Firefox 10 (Jan 2012)

 * CSS 3D transforms
 * HTML `<bdi>` element
 * JS fullscreen API ([docs][fs])
 * IndexedDB APIs
 * Dev tools: CSS Style inspector

[fs]: https://wiki.mozilla.org/Platform/Features/Full_Screen_APIs

### Firefox 9 (Dec 2011)

 * Two-finger swipe in Mac OSX Lion
 * CSS `font-stretch`
 * CSS improved `text-overflow`
 * JS `navigator.doNotTrack`

### Firefox 8 (Nov 2011)

### Firefox 7 (Sep 2011)

  * CSS `text-overflow: ellipsis`
  * Hidden `http://` prefix in address bar

### Firefox 6 (Aug 2011)

  * JS `window.matchMedia`
  * Websockets (!)
  * JS EvetnSource / server-sent events

### Firefox 5 (Jun 2011)

  * CSS animations
  * Background tab `setTimeout` and `setInterval` clamped to 1000ms

### Firefox 4 (Mar 2011)

  * Do Not Track (DNT) header
  * New JS endinge (JagerMonkey)
  * Hardware-accelerated rendering
  * WebM video
  * OpenType ligatures/kerning/font variants
  * CSS transitions partial support
  * JS audio data API
  * JS `mozRequestAnimationFrame`
  * HTML5 forms API
  * `<video buffered>`
  * HTML5 history API
  * New HTML5 parser
  * ...

### Firefox 3.6 (Jan 2010)

  * CSS gradients
  * CSS pointer events
  * HTML drag & drop API
  * HTML `<script async>`

### Reference

 * [Firefox releases](https://www.mozilla.org/en-US/firefox/releases/)
