---
title: Vim digraphs
category: Vim
---

### Typing digraphs in insert mode

```
<Ctrl-K>OK
```
{:.light}

### Listing digraphs


```
:dig
:digraphs
```
{:.lights}

## Reference

### Symbols

| ℠  | ™  | ©  | ®  | ¶  | †  | ‡  | &ndash; | ±  |
| SM | TM | Co | Rg | PI | /- | /= | --      | +- |

| §  | µ  | £  | ¢  | ¥  | ¤  |
| SE | My | $$ | Ct | Ye | Cu |

| ★  | ☆  | ♡  | ◆  | ◇  |
| *2 | *1 | cH | Db | Dw |

| ✓  | ✗  |
| OK | XX |

### Dots and bullets

| ⋅  | ·  | ○  | ∙  | ∘  | ∴  | ∵  | ∶  | ∷  |
| .P | .M | 0m | Sb | Ob | .: | :. | :R | :: |

| ⊙  | ⊚  | ◎   | □  | ▪  |
| 0. | 02 | 0o  | OS | sB |

### Math

| ø  | ≃  | ≅  | ≥  | ≤  | ≡  | ≮  | ≯  | ≠  |
| o/ | ?- | ?= | >= | =< | =3 | !< | !> | != |

| √         | ×          | ÷           |
| RT *root* | /\ *times* | -: *divide* |

| ⊂           | ⊃             | ∩                 | ∪          |
| (C *subset* | )C *superset* | (U *intersection* | )U *union* |

| ¼  | ½  | ¾  | ₃  | ₂  | ³  | ²  |
| 14 | 12 | 34 | 3s | 2s | 3S | 2S |

### Triangles

| ▲  | △  | ▼  | ▽  |
| UT | uT | Dt | dT |

| ▶  | ▷  | ◀  | ◁  |
| PR | Tr | PL | Tl |

| »  | «  | 〈 | 〉 | ‹  | ›  |
| >> | << | </ | /> | <1 | >1 |

### Arrows

| ←  | →  | ↑  | ↓  | ↕ | ↔ |
| <- | -> | -! | -v | UD | <> |

| ⇐  | ⇒  | ⇔  |
| <= | => | == |

<style>
.all table tr td { text-align: center; }
.all table tr:first-child td { font-size: 1.3em; padding-bottom: 0; }
.all table tr:first-child+tr td { font-size: 0.9em; color: dodgerblue; border-top: 0; padding-top: 0; font-family: fira mono, monospace; }
.all table em { color: #aaa; font-size: 0.9em; font-style: normal; font-family: roboto, sans-serif; }
</style>
