---
title: Visual Studio Code
category: Apps
layout: 2017/sheet
updated: 2018-02-03
weight: -5
keywords:
  - "⌘P: Show files"
  - "⌘B: Toggle sidebar"
  - "⌘J: Toggle panel"
  - "F5: Debug"
intro: |
  [Visual Studio Code](https://code.visualstudio.com/), or VSCode, is an open-source code editor. This guide targets VSCode v1.19.
---

## Shortcuts
{: .-three-column}

### Command palette

| Key   | Description       |
| ----- | ----------------- |
| `⇧⌘P` | Show all commands |
| `⌘P`  | Show files        |
{: .-shortcuts}

### Sidebars

| Key   | Description    |
| ----- | -------------- |
| `⌘B`  | Toggle sidebar |
| ----  | ----           |
| `⇧⌘E` | Explorer       |
| `⇧⌘F` | Search         |
| `⇧⌘D` | Debug          |
| `⇧⌘X` | Extensions     |
| `⇧^G` | Git (SCM)      |
{: .-shortcuts}

### Search

| Key   | Description      |
| ----- | ---------------- |
| `⌘F`  | Find             |
| `⌥⌘F` | Replace          |
| ----  | ----             |
| `⇧⌘F` | Find in files    |
| `⇧⌘H` | Replace in files |
{: .-shortcuts}

### Panel

| Key                        | Description   |
| -------------------------- | ------------- |
| `⌘J`                       | Toggle panel  |
| ----                       | ----          |
| `⇧⌘M`                      | Problems      |
| `⇧⌘U`                      | Output        |
| `⇧⌘Y`                      | Debug console |
| <code>^`</code>            | Terminal      |
{: .-shortcuts}

### View

| Key      | Description      |
| -------- | ---------------- |
| `⌘k` `z` | Zen mode         |
| ----     | ----             |
| `⌘k` `u` | Close unmodified |
| `⌘k` `w` | Close all        |
{: .-shortcuts}

### Debug

| Key    | Description             |
| ------ | ----------------------- |
| `F5`   | Start                   |
| `⇧F5`  | Stop                    |
| `⇧⌘F5` | Restart                 |
| ----   | ----                    |
| `^F5`  | Start without debugging |
| ----   | ----                    |
| `F9`   | Toggle breakpoint       |
| ----   | ----                    |
| `F10`  | Step over               |
| `F11`  | Step into               |
| `⇧F11` | Step out                |
| ----   | ----                    |
| `⇧⌘D`  | Debug sidebar           |
| `⇧⌘Y`  | Debug panel             |
{: .-shortcuts}

## References

* [Keyboard shortcuts (MacOS)](https://code.visualstudio.com/shortcuts/keyboard-shortcuts-macos.pdf) _(code.visualstudio.com)_
* [Keyboard shortcuts (Windows)](https://code.visualstudio.com/shortcuts/keyboard-shortcuts-windows.pdf) _(code.visualstudio.com)_
* [Keyboard shortcuts (Linux)](https://code.visualstudio.com/shortcuts/keyboard-shortcuts-linux.pdf) _(code.visualstudio.com)_
